%%
%% This is file `andp2012.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% andp2012.dtx  (with options: `class,version')
%% 
%% This is a generated file.  If you have to change it, please
%% do so in andp2012.dtx (after changing the name, of course!).
%% 
%% Copyright (C) 2011--2015 by Martin Wilhelm Leidig
%% ------------------------------------------------------------------------
%% 
%% This file may be distributed and/or modified under the conditions of the
%% LaTeX Project Public License, either version 1.2 of this license or (at
%% your option) any later version.  The latest version of this license
%% is in:
%% 
%%    http://www.latex-project.org/lppl.txt
%% 
%% and version 1.2 or later is part of all distributions of LaTeX
%% version 1999/12/01 or later.
%% 
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{andp2012}%
 [2015/03/20 0.6u  Annalen der Physik 2012 and beyond  -MWL-]
\RequirePackage{calc,etoolbox}
\newif\if@restonecol
\newif\if@wileypaper
\DeclareOption{a4paper}{\@wileypaperfalse}%
\DeclareOption{wileypaper}{\@wileypapertrue}%
\newif\if@compatibility
\DeclareOption{incompatible}{\@compatibilityfalse}
\DeclareOption{compatible}{\@compatibilitytrue}
\newif\if@dblabstract
\DeclareOption{shortabstract}{\@dblabstractfalse}%
\DeclareOption{longabstract}{\@dblabstracttrue}%
\newif\if@print
\DeclareOption{noprint}{\@printfalse}%
\DeclareOption{print}{\@printtrue\@wileypapertrue}%
\newif\if@publisherlogo
\DeclareOption{publisherlogo}{\@publisherlogotrue}
\DeclareOption{nopublisherlogo}{\@publisherlogofalse}
\newif\if@final
\newif\if@draft
\DeclareOption{finallayout}{\@finaltrue}
\DeclareOption{final}{%
  \overfullrule\z@%
  \@draftfalse
  \@finaltrue
  \@publisherlogotrue
}
\DeclareOption{nopubldata}{%
  \overfullrule\z@%
  \@draftfalse
  \@finalfalse
  \@publisherlogofalse
}
\DeclareOption{draft}{%
  \overfullrule 10\p@%
  \@drafttrue
  \@finalfalse
  \@publisherlogofalse
}
\DeclareOption{emptyheadfoot}{%
\AtEndOfClass{%
\copyrightmark{}%
\oddheadattrib{}%
\titlepageheadattrib{}%
}%
}%
\newif\if@proof
\DeclareOption{noproof}{\@prooffalse}
\DeclareOption{proof}{\@prooftrue}
\newif\if@debug
\DeclareOption{nodebug}{\setlength\overfullrule\z@\@debugfalse}
\DeclareOption{debug}{\setlength\overfullrule{10pt}\@debugtrue}
\newif\if@earlyview
\DeclareOption{earlyview}{\@earlyviewtrue\@wileypaperfalse}
\newif\if@SD
\DeclareOption{SD}{\@SDtrue\@wileypapertrue}%
\newif\if@fourier
\DeclareOption{mathdesign}{\@fourierfalse}%
\DeclareOption{fourier}{\@fouriertrue}%
\newif\if@onecolumn
\newif\if@threecolumn
\DeclareOption{onecolumn}  {\@onecolumntrue \@twocolumnfalse\@threecolumnfalse \xdef\andp@colnum{1}}%
\DeclareOption{twocolumn}  {\@onecolumnfalse\@twocolumntrue \@threecolumnfalse \xdef\andp@colnum{2}}%
\DeclareOption{threecolumn}{\@onecolumnfalse\@twocolumnfalse\@threecolumntrue  \xdef\andp@colnum{3}}%
\newtoggle{threecolumnbalanced}%
\DeclareOption{threecolumnbalanced}  {\toggletrue{threecolumnbalanced}}%
\DeclareOption{threecolumnunbalanced}{\togglefalse{threecolumnbalanced}}%
\DeclareOption{twoside}{\@twosidetrue \@mparswitchtrue}
\DeclareOption{fleqn}{\input{fleqn.clo}\AtEndOfClass{\mathindent\z@}}
\DeclareOption{leqno}{\input{leqno.clo}}%
\newif\if@hyper
\DeclareOption{hyper}{\@hypertrue}
\DeclareOption{nohyper}{\@hyperfalse}
\newif\if@tsb
\DeclareOption{tsb}{\@tsbtrue}%
\DeclareOption{notsb}{\@tsbfalse}%
\newif\ifcolfigsnumbered%\colfigsnumberedfalse
\DeclareOption{colfignumbers}{\colfigsnumberedtrue}%
\DeclareOption{nocolfignumbers}{\colfigsnumberedfalse}%
\newif\ifarrowvecs
\DeclareOption{vecarrow}{\arrowvecstrue}%
\DeclareOption{vecbold}{\arrowvecsfalse}%
\newif\iftoc
\DeclareOption{notoc}{\tocfalse}%
\DeclareOption{toc}{\toctrue}%
\newif\iftoc@firstcatline
\DeclareOption{nofirstcategoryline}{\toc@firstcatlinefalse}%
\DeclareOption{firstcategoryline}{\toc@firstcatlinetrue}%
\newif\iftoc@absjust\toc@absjustfalse
\DeclareOption{abstractjustified}{\toc@absjusttrue}%
\DeclareOption{abstractflushleft}{\toc@absjustfalse}%
\newif\if@colour
\DeclareOption{4c}{\@colourtrue}%
\DeclareOption{1c}{\@colourfalse}%
\DeclareOption{grey}{\@colourfalse}%
\newif\if@tabscolour
\DeclareOption{4ctabs}{\@tabscolourtrue}%
\DeclareOption{1ctabs}{\@tabscolourfalse}%
\DeclareOption{greytabs}{\@tabscolourfalse}%
\ExecuteOptions{%
  twocolumn,%
  twoside,%
  wileypaper,%
  nopubldata,%
  noproof,%
  nodebug,%
  notoc,%
  fleqn,%
  fourier,%
  4c,4ctabs,%
  noprint,%
  autolastpage,%
  longabstract,%
  threecolumnbalanced,%
  nohyper,%
  tsb,%
  vecbold,%
  incompatible}%
\ProcessOptions*\relax
\begingroup
\catcode`\Z=3
\long\gdef\@M@T@#1#2Z#3#4#5\@nil{#4}%
\long\gdef\@ifempty#1{\@M@T@#1ZZ\@secondoftwo\@firstoftwo\@nil}%
\long\gdef\@ifarg#1{\@M@T@#1ZZ\@firstofone\@gobble\@nil}%
\long\gdef\@ifnoarg#1{\@M@T@#1ZZ\@gobble\@firstofone\@nil}%
\endgroup
\def\@takefromreset#1#2{%
    \def\@tempa{#1}%
    \let\@tempd\@elt
    \def\@elt##1{%
        \def\@tempb{##1}%
        \ifx\@tempa\@tempb\else
            \@addtoreset{##1}{#2}%
        \fi}%
    \expandafter\expandafter\let\expandafter\@tempc\csname cl@#2\endcsname
    \expandafter\def\csname cl@#2\endcsname{}%
    \@tempc
    \let\@elt\@tempd}

\def\vcenter@offset{0.6ex}%
\newcommand{\vcenterbox}[2][\z@]{%
  \raisebox%
   {-0.5\totalheight+\vcenter@offset}%
   [ 0.5\totalheight+\vcenter@offset+#1]%
   [ 0.5\totalheight-\vcenter@offset+#1]%
   {#2}}%
\def\Reg{\textsuperscript{\textregistered}\xspace}%
\def\TM{\textsuperscript{\texttrademark}\xspace}%
\def\clap#1{\makebox[\z@][c]{#1}}%
\newcommand{\ifwileypaper}[2]{\if@wileypaper#1\else#2\fi}%
\newcommand{\ifprint}[2]{\if@print#1\else#2\fi}%
\newcommand{\iffinal}[2]{\if@final#1\else#2\fi}%
\newcommand{\ifonecolumn}[2]{\if@onecolumn#1\else#2\fi}%
\newcommand{\iftwocolumn}[2]{\if@twocolumn#1\else#2\fi}%
\newcommand{\ifthreecolumn}[2]{\if@threecolumn#1\else#2\fi}%
\newcommand{\ifproof}[2]{\if@proof#1\else#2\fi}%
\newcommand{\ifdraft}[2]{\if@draft#1\else#2\fi}%
\newcommand{\ifdebug}[2]{\if@debug#1\else#2\fi}%
\newcommand{\ifearlyview}[2]{\if@earlyview#1\else#2\fi}%
\newcommand{\ifSD}[2]{\if@SD#1\else#2\fi}%
\newcommand{\ifhyper}[2]{\if@hyper#1\else#2\fi}%
\newcommand{\ifprintnotSD}[2]{%
  \if@print
    \if@SD
      #2
    \else%
      #1
    \fi%
  \else%
    #2
  \fi}%
\newcommand{\ifSDnotprint}[2]{%
  \if@SD
    \if@print
      #2
    \else%
      #1
    \fi%
  \else%
    #2
  \fi}%
\RequirePackage[fixamsmath,fleqn]{mathtools}
\RequirePackage{amssymb,upref}%
\if@final
  \if@fourier
    \RequirePackage[expert]{fourier}%
  \else%@fourier
    \RequirePackage[utopia,expert]{mathdesign}%
  \fi%@fourier
  \RequirePackage[oldstyle,proportional,bold,regular,scaled=0.92]{profilepro}%
\else%@final
  \RequirePackage{fourier}%
  \RequirePackage[scaled=0.86]{helvet}%
  \AtEndOfClass{%
    \providecommand{\lgseries}{\mdseries}%
    \providecommand{\textlg}{\textmd}%
    \providecommand{\mbseries}{\bfseries}%
    \providecommand{\textmb}{\textbf}%
    \providecommand{\sbseries}{\bfseries}%
    \providecommand{\textsb}{\textbf}%
    \providecommand{\ebseries}{\bfseries}%
    \providecommand{\texteb}{\textbf}%
    \providecommand{\lnfigures}{\relax}%
    \providecommand{\txfigures}{\relax}%
    \providecommand{\tbfigures}{\relax}%
    \providecommand{\prfigures}{\relax}%
    }%
\fi%@final
\RequirePackage{xspace}
\RequirePackage{latexsym,textcomp}%
\RequirePackage{array}\setlength{\extrarowheight}{2pt}%
\RequirePackage{booktabs}\setlength{\defaultaddspace}{.9ex}%
\RequirePackage{cite}%
\RequirePackage{float,caption}%
\RequirePackage[hang,multiple,bottom]{footmisc}
\RequirePackage{multicol}
\setlength{\premulticols}{\z@}%
\setlength{\postmulticols}{\z@}%
\setlength{\multicolsep}{\z@}%
\RequirePackage{url}
\DeclareUrlCommand\url{\urlstyle{same}}%
\url@rmstyle
\RequirePackage[table,cmyk]{xcolor}%
\RequirePackage{tabu}%
\RequirePackage[framemethod=0]{mdframed}[2012/01/08]%
\ifx\mdflength\relax
\else
  \mdfsetup{usetwoside=false}%
\fi
\RequirePackage{environ}[2008/06/18]
\RequirePackage{graphicx}%
\RequirePackage{picins}%
\RequirePackage{everyshi}[1994/12/09]%
\RequirePackage{eso-pic}%
\RequirePackage{ragged2e}%
\RequirePackage[export]{adjustbox}[2011/11/14]%
\RequirePackage[alwaysadjust,flushleft]{paralist}%
\setdefaultleftmargin{1em}{1em}{1em}{1em}{1em}{1em}%
\setdefaultitem{\normalfont\bfseries\textendash}{\textbullet}{\textasteriskcentered}{\textperiodcentered}%
\let\itemize\compactitem
\let\enditemize\endcompactitem
\let\enumerate\compactenum
\let\endenumerate\endcompactenum
\let\description\compactdesc
\let\enddescription\endcompactdesc
\def\wileypaper{%
  \setlength\paperheight {279mm}%
  \setlength\paperwidth  {210mm}%
  \ClassWarning{andp2012}{Paper <- Letterpaper/Wiley (210mm x 279mm)}%
  }%
\def\dinpaper{%
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}%
  \ClassWarning{andp2012}{Paper <- DIN-A4 (210mm x 297mm)}%
  }%
\if@wileypaper\wileypaper\else\dinpaper\fi
\newlength{\cropwidth}%
\setlength{\cropwidth}{\paperwidth+20mm}%
\newlength{\cropheight}%
\setlength{\cropheight}{\paperheight+20mm}%
\newlength{\bleed}%
\setlength{\bleed}{4mm}%%
\ifSDnotprint{%
  \def\coverpagefilename{Cover_andp2012}%
  \AtEndOfClass{\RequirePackage{pdfpages}}%
  \def\pretitlepagestyle{%
    \addtocounter{page}{-1}%
    \addtocounter{pagenumber}{-1}%
    \thispagestyle{empty}%
  }%
  \newcommand{\pretitlepage}{%
    \includepdf[noautoscale,pagecommand={\pretitlepagestyle},pages=1]{\coverpagefilename}}%
}{\let\pretitlepage\relax}%
%%     \cs{oddsidemargin}    &  \\
%%     \cs{evensidemargin}   &  \\
%%     \cs{topmargin}        &  \\
%%     \cs{skip}\cs{footins} &  \\
\RequirePackage{geometry}
\geometry{reset,ignoreall,%
  textheight=229.4mm,%
  textwidth=175mm,%
  heightrounded=true,%
  headheight=10mm,%
  footskip=18.6mm,% implies \footheight=0pt
  marginparsep=0mm,
  marginparwidth=0mm,
  columnsep=5mm,%
  headsep=12mm,
  bottom=27.6mm,
  inner=16mm}
  \setlength\columnseprule{0\p@}%
\iftoc
\def\toc@headoffset{18.5mm}%
  \geometry{%
    textheight=229.4mm - \toc@headoffset,% 216.9mm
    headsep=12mm + \toc@headoffset% 24.5mm
    }%
\fi%toc
\newlength{\columnwidth@twocol}%
\newlength{\columnwidth@threecol}%
\newlength{\twocolumnwidth}%
\setlength{\columnwidth@twocol}{0.5\textwidth-0.5\columnsep}%
\setlength{\columnwidth@threecol}{(\textwidth-2\columnsep)/\real{3}}%
\setlength{\twocolumnwidth}{2\columnwidth@threecol+\columnsep}%
\if@print
  \RequirePackage[width=\the\cropwidth,height=\the\cropheight,center]{crop}
  \bgroup
    \count@\time
    \multiply\count@ 1000
    \divide\count@ 144
    \xdef\CROP@time{.\the\count@}
  \egroup
  \renewcommand*\CROP@@info{{%
    \global\advance\CROP@index\@ne
    \advance\paperwidth-20\p@
    \dimen@5mm
    \ifx\CROP@pagecolor\@empty
    \else%
        \advance\dimen@\CROP@overlap
    \fi%
    \hb@xt@\z@{%
        \hss
        \vbox to\z@{%
            \centering
            \hsize\paperwidth
            \vss
            \normalfont
            \normalsize
            {\sffamily\lgseries\jobname
                \quad
                \the\year-\two@digits{\the\month}-\two@digits{\the\day}%,\space
                \CROP@time
                \quad
                {\fboxsep2pt\fbox{\ebseries\tbfigures\lnfigures\the\CROP@index}}%
                \CROP@@size
                \strut
            }%
            \vskip\dimen@
        }%
        \hss
    }%
}}%
\if@final
  \def\CROP@@size{\relax}
  \crop[cam,noaxes,info]%
\else%
  \def\CROP@@size{\quad\the\paperwidth${}\times{}$\the\paperheight}
  \crop[frame,axes,noinfo]%
\fi%@final
\fi%@print
  \def\bloc{\ensuremath{\blacksquare}}%
  \newcommand{\block}[1][]{%
    \def\temp{#1}%
    \ifx\temp\empty
      \ClassWarningNoLine{LPR2}{%
        Found \string\block.  This should occur only in proof or debug mode!}%
    \else%
      \ClassWarningNoLine{LPR2}{%
        Found \string\block[#1].\Messagebreak
        This should occur only in proof or debug mode!}%
    \fi%
  \xspace}%
\newcommand{\defblocks}{%
  \renewcommand{\block}[1][]{%
    \bloc\bloc%
    \def\temp{##1}%
    \ifx\temp\empty\else\textbf{[##1]}\fi
    \xspace}%
}
\def\bib@debug{%
  \def\jr##1{\textbf{J}}
  \long\def\othercit##1##2{%
    \ifx##1\bibitem
      \bibitem{##2}\llap{\raisebox{-\baselineskip}[\z@][\z@]{\textbf{O}}}%
    \else%
      \textbf{O~}{\rmfamily\itshape\selectfont ##1}\expandafter ##2%
    \fi}%
  \let\oldref\ref
  \renewcommand{\ref}[1]{\fbox{\textbf{ref~##1=\oldref{##1}}}}%
  \renewcommand{\eqref}[1]{\fbox{\textbf{eqref~##1=\oldref{##1}}}}%
  \let\oldcite\cite%
  \renewcommand{\cite}[1]{\fbox{\textbf{cite~##1=\oldcite{##1}}}}%
  \renewcommand{\textsc}[1]{$\bullet$}%
  \renewcommand{\sc}{\bloc\textbf{SC}\bloc}%
  \renewcommand{\bf}{\bloc\textbf{BF}\bloc}%
  \renewcommand{\sf}{\bloc\textbf{SF}\bloc}%
  \renewcommand{\textsf}{\bloc\textbf{TEXTSF}\bloc}%
  \renewcommand{\sl}{\bloc\textbf{SL}\bloc}%
  \renewcommand{\textsl}{\bloc\textbf{TEXTSL}\bloc}%
  \renewcommand{\it}{\bloc\textbf{IT}\bloc}%
  \renewcommand{\textit}{\bloc\textbf{TEXTIT}\bloc}%
  \renewcommand{\em}{\bloc\textbf{EM}\bloc}%
  \renewcommand{\emph}{\bloc\textbf{EMPH}\bloc}%
}%
\def\bib@normal{%
  \def\jr##1{##1}%
  \def\othercit{}%
  \def\textsc##1{##1}%
  \def\sc{}%
}%
\AtBeginDocument{%
  \let\old@thebibliography\thebibliography
  \let\old@endthebibliography\endthebibliography
  \if@debug
    \def\thebibliography{\bgroup\bib@debug\old@thebibliography}%
    \def\endthebibliography{\old@endthebibliography\egroup}%
    \defblocks
  \else%@debug
    \def\thebibliography{\bib@normal\old@thebibliography}%
  \fi%@debug
}%
\if@proof
  \RequirePackage[switch,displaymath]{lineno}%
  \if@threecolumn
    \leftlinenumbers*
    \linenumbersep=1mm
  \else%@threecolumn
    \switchlinenumbers
    \linenumbersep=3mm
  \fi%@threecolumn
  \AtBeginDocument{\linenumbers}%
  \newcommand*\patchAmsMathEnvironmentForLineno[1]{%
    \expandafter\let\csname old#1\expandafter\endcsname\csname #1\endcsname
    \expandafter\let\csname oldend#1\expandafter\endcsname\csname end#1\endcsname
    \renewenvironment{#1}%
     {\linenomath\csname old#1\endcsname}%
     {\csname oldend#1\endcsname\endlinenomath}%
  }%
  \newcommand*\patchBothAmsMathEnvironmentsForLineno[1]{%
    \patchAmsMathEnvironmentForLineno{#1}%
    \patchAmsMathEnvironmentForLineno{#1*}%
  }%
  \AtBeginDocument{%
    \patchBothAmsMathEnvironmentsForLineno{equation}%
    \patchBothAmsMathEnvironmentsForLineno{align}%
    \patchBothAmsMathEnvironmentsForLineno{flalign}%
    \patchBothAmsMathEnvironmentsForLineno{alignat}%
    \patchBothAmsMathEnvironmentsForLineno{gather}%
    \patchBothAmsMathEnvironmentsForLineno{multline}%
  }%
  \AddToShipoutPicture{\put(100,150){\includegraphics{wasser}}}%
  \defblocks
\else%@proof
  \let\@LN@col\@gobble
  \let\@LN\@gobbletwo
\fi%@proof
\AtEndOfClass{%
  \RequirePackage{microtype}%
}%
\def\hypercolor#1{%
    \hypersetup{%
      linkcolor = #1,%
      citecolor = #1,%
      filecolor = #1,%
      menucolor = #1,%
      runcolor  = #1,%
      urlcolor  = #1%
  }}%%
\AtEndOfClass{%
\RequirePackage{hyperref}%
\if@hyper
  \hypersetup{final,breaklinks,pageanchor,colorlinks}%
  \ifprint{%
    \hypersetup{%
      linkcolor = black,%
      citecolor = black,%
      filecolor = black,%
      menucolor = black,%
      runcolor  = black,%
      urlcolor  = black,%
  }}{%
    \hypersetup{%
      linkcolor = andp!50,%
      citecolor = andp!50,%
      filecolor = andp!50,%
      menucolor = andp!50,%
      runcolor  = andp!50,%
      urlcolor  = andp!50,%
  }}%
\else
  \hypersetup{draft}%
\fi
}%
\if@tsb%
  \def\textsubscript#1{\@textsubscript{\selectfont#1}}%
  \def\@textsubscript#1{%
   {\m@th\ensuremath{_{\mbox{\fontsize\sf@size\z@#1}}}}}%
  \let\tsp\textsuperscript
  \let\tsb\textsubscript
\fi%@tsb
\gdef\P@{bp}%{pt}%
\def\tiny        {\@setfontsize\tiny          {6.7\P@}  {7.5\P@}}%
\def\scriptsize  {\@setfontsize\scriptsize    {8.66\P@} {9\P@}}%
\def\small       {\@setfontsize\small         {9.76\P@}{11\P@}}%
\def\footnotesize{\@setfontsize\footnotesize  {9.76\P@}{12.5\P@}}%
\def\normalsize  {\@setfontsize\normalsize   {10.3\P@} {12.5\P@}}%
\def\abstractsize{\@setfontsize\abstractsize {10.8\P@} {14\P@}}%
\def\abstriiisize{\@setfontsize\abstriiisize {10.8\P@} {12\P@}}%
\def\large       {\@setfontsize\large        {11.9\P@} {13.2\P@}}%
\def\Large       {\@setfontsize\Large        {14.1\P@} {15.6\P@}}%
\def\LARGE       {\@setfontsize\LARGE        {15.2\P@} {16.8\P@}}%
\def\huge        {\@setfontsize\huge         {18.4\P@} {20.4\P@}}%
\def\Huge        {\@setfontsize\Huge         {21.7\P@} {24\P@}}%
\def\@listi{\leftmargin \z@
            \parsep     \z@ \@plus 1\p@
            \topsep     \z@ \@plus 3\p@
            \itemsep    \z@ \@plus 3\p@
            }%
\setlength\lineskip{1\P@}
\setlength\normallineskip{1\P@}
\renewcommand\baselinestretch{}%
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\tolerance 1500
\parskip\z@
\parindent 5mm
\baselineskip 12.5\p@
\setlength{\jot}{6pt}
\normalsize\normalfont
\frenchspacing%
\abovedisplayskip       10\p@ \@plus 2\p@ \@minus 5\p@
\abovedisplayshortskip   5\p@ \@plus 2\p@ \@minus 3\p@
\belowdisplayshortskip  10\p@ \@plus 2\p@ \@minus 5\p@
\belowdisplayskip \abovedisplayskip
\def\titlepagebasefont {\normalsize\mdseries\upshape\sffamily}%
\def\titlefont         {\Huge\mbseries\upshape\sffamily}%
\def\pretitlefont      {\LARGE\mdseries\upshape\sffamily}%
\def\subtitlefont      {\LARGE\mdseries\upshape\sffamily}%
\def\authorfont        {\Large\mdseries\itshape\sffamily}%
\def\dedicatoryfont    {\normalsize\mdseries\itshape\sffamily}%
\def\addressfont       {\normalsize\mdseries\upshape\sffamily}%
\def\abstractfont      {\abstractsize\mdseries\upshape\sffamily}%
\def\abstriiifont      {\abstriiisize\mbseries\upshape\sffamily}%
\def\ackfont           {\normalsize\mdseries\upshape\sffamily}%
\def\acknamefont       {\normalsize\mbseries\upshape\sffamily}%
\def\keywordsfont      {\normalsize\mdseries\upshape\sffamily}%
\def\keywordsnamefont  {\normalsize\mbseries\upshape\sffamily}%
\def\affiliationsfont  {\normalsize\mdseries\itshape\sffamily}%
\def\biographyfont     {\abstractsize\mdseries\upshape\sffamily}%
\def\bioauthornamefont {\biographyfont\mbseries}%
\def\bibliographyfont  {\normalfont\small}%
\def\volumelinefont    {\normalsize\mdseries\upshape\sffamily}%
\def\locationfont      {\normalsize\mdseries\upshape\sffamily}%
\def\articlefinalefont {\normalsize\mdseries\upshape\sffamily}%
\def\pageheadfootfont  {\fontsize{8.66\P@}{8.66\P@}\mdseries\upshape\sffamily\lnfigures}
\def\categoryfont      {\fontsize{16.2\P@}{16.2\P@}\mdseries\upshape\sffamily}
\def\pagenumberfont    {\fontsize{10.8\P@}{10.8\P@}\mbseries\upshape\sffamily\lnfigures}
\def\journalurlfont    {\fontsize{8.66\P@}{8.66\P@}\mbseries\upshape\sffamily}
\def\footnotefont      {\footnotesize\mdseries\upshape\sffamily}
\def\sectionfont       {\Large\mbseries\upshape\sffamily\boldmath}%
\def\subsectionfont    {\large\mdseries\upshape\sffamily}%
\def\subsubsectionfont {\normalsize\mbseries\upshape\sffamily}%
\def\paragraphfont     {\normalsize\mbseries\upshape\sffamily}%
\def\subparagraphfont  {\normalsize\mdseries\upshape\sffamily}%
\def\tablefont         {\scriptsize\lgseries\upshape\sffamily\lnfigures\tbfigures}%
\def\tabletitlefont    {\scriptsize\bfseries\upshape\sffamily\lnfigures\tbfigures}%
\def\andpcaptionfont       {\normalsize\mdseries\upshape\sffamily}%
\def\andpcaptionnamefont   {\normalsize\mbseries\upshape\sffamily}%
\def\linenumberfont{\normalfont\tiny\lgseries\sffamily\tbfigures\lnfigures}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\if@colour
  \definecolorset{cmyk}{}{}{%
    andp,       0.6,  0.3, 0, 0.9;%
    andp-blue,  1,    0.5, 0, 0.1;%
    andp-red,   0.15, 1,   1, 0}%
\else%
  \definecolorset{gray}{}{}{%
    andp,  0;%
    andp-blue,  0;%
    andp-red,   0}%
\fi%
\colorlet{category}{white}%
\colorlet{categorybgI}{andp-blue!20}%
\colorlet{categorybgII}{andp!75}%
\colorlet{pretitle}{andp!70}%
\colorlet{abstractbg}{andp-blue!20}%
\colorlet{biographybg}{andp-blue!20}%
\colorlet{footnoterule}{andp!70}%
\colorlet{entryrule}{andp!70}%
\colorlet{tablecaption}{white}%
\if@tabscolour
\colorlet{tablecaptionbg}{andp!75}%
\colorlet{tablebgI}{andp-blue!25}%
\colorlet{tablebgII}{andp-blue!15}%
\colorlet{tableframe}{andp!75}%
\else%
\colorlet{tablecaptionbg}{black!75}%
\colorlet{tablebgI}{black!25}%
\colorlet{tablebgII}{black!15}%
\colorlet{tableframe}{black!75}%
\fi%
\arrayrulecolor{tableframe}%
\def\pretitlestyle      {\pretitlefont\color{pretitle}}%
\def\categorystyle      {\categoryfont\color{category}}%
\def\tablecaptionstyle      {\andpcaptionfont\color{tablecaption}}%
\def\tablecaptionnamestyle  {\andpcaptionnamefont\color{tablecaption}}%
\def\@classname{andp2012}%
\def\andname{and}
\def\lastandname{, and}
\def\floatcounterend{\space\space}
\def\issuename{Issue}%
\def\pagename{Page}%
\def\pagespanname{Pages}%
\def\volumename{Volume}%
\newcommand\contentsname{Contents}
\newcommand\retrospectname{RETROSPECT -- Highlights from recent Annalen der Physik issues}
\newcommand\retrospectshortname{RETROSPECT -- Highlights}
\newcommand\retrospectcategory{Highlights}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\newcommand\abstractnameend{}
\newcommand\ackname{Acknowledgements}
\newcommand\acknameend{.\enspace}
\newcommand\keywordsname{Key~words}
\newcommand\keywordsnameend{.\enspace}
\def\mailname{E-mail}
\def\mailnameend{:\space}
\newcommand\proofnotename{Note added in proof}
\def\receivedname{Received}
\def\revisedname{revised}
\def\acceptedname{accepted}
\def\publishedname{Published online}
\newcommand{\journalname}[3]{%
  \gdef\abbr@journalname{#1}%
  \gdef\short@journalname{#2}%
  \gdef\long@journalname{#3}}%
\journalname{andp}{Ann. Phys. (Berlin)}{Annalen der Physik}%
\newcommand{\journalurl}[1]{\gdef\@journalurl{#1}}
\journalurl{www.ann-phys.org}
\setcounter{secnumdepth}{3}%
\newcounter{section}%
\newcounter{subsection}[section]%
\newcounter{subsubsection}[subsection]%
\newcounter{paragraph}[subsubsection]%
\newcounter{subparagraph}[paragraph]%
\renewcommand\thesection      {\@arabic\c@section}%
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}%
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}%
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}%
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}%
\def\sectcounterend{\relax}%
\def\sectnumbersep{0.5em}
  \def\section{%
    \@startsection{section}{1}{\z@}%
     {-25pt}{12.5pt}
     {\sectionfont}}%
  \def\subsection{%
    \@startsection{subsection}{2}{\z@}%
     {-25pt}{12.5pt}
     {\subsectionfont}}%
  \def\subsubsection{%
    \@startsection{subsubsection}{3}{\z@}%
     {-25pt}{12.5pt}
     {\subsubsectionfont}}%
  \def\paragraph{%
    \@startsection{paragraph}{4}{\z@}%
     {-1sp}{-1em}
     {\paragraphfont}}%
  \def\subparagraph{%
    \@startsection{subparagraph}{5}{\z@}%
     {-1sp}{-1em}
     {\subparagraphfont}}%
\def\@seccntformat#1{%
  \csname the#1\endcsname
  \sectcounterend
  \hskip\sectnumbersep}
\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else%
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi%
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \raggedright
          \hyphenpenalty \@M%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname\sectcounterend}%
      \fi%
      #7}%
  \else%
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8%
      \hskip\aftertext}%
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi%
      #7}}%
  \fi%
  \@xsect{#5}}
\newlength{\categorymarkheight}%
\setlength{\categorymarkheight}{13mm}%%
\newlength{\categorymarkwidth}%
\setlength{\categorymarkwidth}{10mm}%%
\newlength{\categorymarkfullheight}%
\setlength{\categorymarkfullheight}{\categorymarkheight+\bleed}%%
\newlength{\categorymarkfullwidth}%
\setlength{\categorymarkfullwidth}{\categorymarkwidth+\bleed}%%
\def\categorymarkinnersep{3mm}%
\def\categorymarkuppersep{3mm}%
\def\categorymarklowersep{4mm}%
\newlength{\categorymarkhskip}%
\setlength{\categorymarkhskip}{1in+\evensidemargin+\categorymarkinnersep-\categorymarkwidth}%%
\newlength{\categorymarkvskip}%
\setlength{\categorymarkvskip}{-3mm}%%
\def\uppercategorymark{%
  \color{categorybgI}%
  \rule[-\categorymarkinnersep]{\categorymarkfullheight}{\categorymarkfullwidth}}%
\def\lowercategorymark#1#2{%
  \colorbox{categorybgII}{%
    \hskip#1
    \categorystyle\@category
    \hskip#2
    \rule[-\categorymarkinnersep]{\z@}{\categorymarkfullwidth}%
}}%
\def\oddcategorymark{{%
  \fboxsep\z@
  \raisebox{-3mm}{%
    \rotatebox{-90}{%
      \raisebox{\categorymarkhskip}[\z@][\z@]{%
        \rlap{\lowercategorymark\categorymarkuppersep\categorymarklowersep}%
        \llap{\uppercategorymark}%
}}}}}%
\def\evencategorymark{{%
  \fboxsep\z@
  \raisebox{-3mm}{%
    \rotatebox{90}{%
      \raisebox{\categorymarkhskip}[\z@][\z@]{%
        \llap{\lowercategorymark\categorymarklowersep\categorymarkuppersep}%
        \rlap{\uppercategorymark}%
}}}}}%
\newlength{\journallogowidth}%
\setlength{\journallogowidth}{29mm}%%
\newlength{\publisherlogowidth}%
\setlength{\publisherlogowidth}{35mm}%
\def\journallogoname#1{%
  \@bsphack
  \@ifempty{#1}%
   {\global\@publisherlogofalse}%
   {\gdef\@journallogoname{#1}}%
  \@esphack}%
\def\publisherlogoname#1{%
  \@bsphack
  \@ifempty{#1}%
   {\global\@publisherlogofalse}%
   {\gdef\@publisherlogoname{#1}}%
  \@esphack}%
\if@colour%
  \journallogoname{logo_andp_4c}%
\else%
  \journallogoname{logo_andp_1c}%
\fi%
\publisherlogoname{WOL_logo_2013}%
\def\WOL@box#1#2{\raisebox{-0.127\totalheight}[\z@][\z@]{\includegraphics[width=#1]{#2}}}%
\def\AdP@box#1#2{\raisebox{-0.235\totalheight}[\z@][\z@]{\includegraphics[width=#1]{#2}}}%
\def\@@journallogo#1{\AdP@box{#1}{\@journallogoname}}%
\newcommand*{\journallogo}[2][\journallogowidth]{%
  \@bsphack
  \if@publisherlogo
    \@ifempty{#2}%
     {\global\let\@journallogo\relax}%
     {\gdef\@journallogo{\@@journallogo{#1}}}%
  \else%@publisherlogo
    \global\let\@journallogo\relax%
  \fi%@publisherlogo
  \@esphack}%
\journallogo{\@journallogoname}%
\newcommand*{\publisherlogo}[2][\publisherlogowidth]{%
  \@bsphack
  \if@publisherlogo
    \@ifempty{#2}%
     {\global\let\@publisherlogo\relax}%
     {\gdef\@publisherlogo{\WOL@box{#1}{#2}}}%
  \else%@publisherlogo
    \global\let\@publisherlogo\relax%
  \fi%@publisherlogo
  \@esphack}%
\publisherlogo{\@publisherlogoname}%
\if@earlyview
  \def\EV@mark{\raisebox{-11mm}{%
  \unitlength=1mm
    \begin{picture}(0,0)%
      \put(0,20){\raisebox{-0.072\totalheight}{\includegraphics*[width=15mm]{WOL_logo_2013_stacked}}}%
      \put(18,20){%
        \resizebox{75mm}{!}{%
          \parbox[b]{\widthof{Early View publication on wileyonlinelibrary.com}}{%
            \raggedright
            Early View publication on wileyonlinelibrary.com\\
            (issue and page numbers not yet assigned;\\
            citable using Digital Object Identifier -- DOI)%
      }}}%
    \end{picture}}}%
\else%
  \def\EV@mark{\relax}%
\fi%
\def\copyrightmark#1{\@bsphack\gdef\@copyrightmark{#1}\@esphack}%
\if@final
  \copyrightmark{\textcopyright\ \@copyrightyear\ by WILEY-VCH Verlag GmbH \& Co.\,KGaA, Weinheim}%
  \def\urlfootmark{\journalurlfont\@journalurl}%
\else%
  \copyrightmark{Copyright line will be provided by the publisher}%
  \let\EV@mark\relax
  \let\urlfootmark\relax
\fi%
\def\oddheadattrib#1{\@bsphack\gdef\@ps@odd@headattrib{#1}\@esphack}%
\def\titlepageheadattrib#1{\@bsphack\gdef\@ps@titlepage@headattrib{#1}\@esphack}%
\if@final
  \titlepageheadattrib{%
\@pagespan
    \space
    (\@year)%
    \doiheadmark}%
  \oddheadattrib{%
(\@year)}%
  \else%@final
    \titlepageheadattrib{%
\today}%
    \oddheadattrib{%
\today}%
\fi%@final
\def\doiheadmark{\,/\,DOI\space\doi@prefix/\doi@suffix}%
\if@earlyview
  \let\volnumheadmark\relax
\else%
  \def\volnumheadmark{\space\textmb{\@volume}, No.\,\@issue}%
\fi%
\def\footbox@col#1#2#3{\makebox[#1][c]{\rlap{#2}\hfill\llap{#3}}}%
\def\footbox@twocol#1#2#3#4{%
  \smash{\pageheadfootfont
    \makebox[\linewidth][l]{%
      \makebox[\textwidth][c]{%
      \footbox@col{\columnwidth@twocol}{#1}{#2}%
      \hspace{\columnsep}%
      \footbox@col{\columnwidth@twocol}{#3}{#4}%
}}}}%
\def\footbox@threecol#1#2#3#4#5#6{%
  \smash{\pageheadfootfont
    \makebox[\linewidth][l]{%
      \makebox[\textwidth][c]{%
      \footbox@col{\columnwidth@threecol}{#1}{#2}%
      \hspace{\columnsep}%
      \footbox@col{\columnwidth@threecol}{#3}{#4}%
      \hspace{\columnsep}%
      \footbox@col{\columnwidth@threecol}{#5}{#6}%
}}}}%
\def\head@raisebox#1{%
  \raisebox{\journallogoraise}[\z@][\z@]{%
    \ignorespaces
    #1%
    }%
}%
\def\@@headbox#1#2#3#4#5{%
  \makebox[\textwidth][c]{\pageheadfootfont\llap{#1}\rlap{#2}\hfill\clap{#3}\hfill\llap{#4}\rlap{#5}}%
}%
\def\@oddheadbox#1{%
  \mbox{%
    \pageheadfootfont%
    \rlap{#1}%
    \makebox[\textwidth][c]{}%
    \llap{\@journallogo}%
    \oddcategorymark
  }}%
\def\@evenheadbox#1{%
  \mbox{%
    \pageheadfootfont%
    \evencategorymark
    \rlap{\@journallogo}%
    \makebox[\textwidth][c]{}%
    \llap{#1}%
  }}%
\def\@reverseoddheadbox#1{%
  \mbox{%
    \pageheadfootfont%
    \evencategorymark
    \rlap{#1}%
    \makebox[\textwidth][c]{}%
    \llap{\@journallogo}%
  }}%
\def\@ps@andp@head{%
  \def\@oddhead{%
    \@oddheadbox{\@ps@odd@headattrib}%
    }%
  \def\@evenhead{%
    \@evenheadbox{%
      \ifx\@shortauthors\relax\else\@shortauthors:\space\fi
      \@shorttitle}%
    }%
}%
\def\@ps@andp@foot{%
  \if@threecolumn
    \def\@oddfoot{%
      \pageheadfootfont%
      \footbox@threecol{\@copyrightmark}        {\relax}%
                       {\relax}           {\urlfootmark}%
                       {\relax}{\pagenumberfont\thepage}%
    }%
    \def\@evenfoot{%
      \pageheadfootfont%
      \footbox@threecol{\pagenumberfont\thepage}{\relax}%
                       {\urlfootmark}           {\relax}%
                       {\relax}        {\@copyrightmark}%
    }%
  \else%@threecolumn
    \def\@oddfoot{%
      \pageheadfootfont%
      \footbox@twocol{\@copyrightmark}              {\relax}%
                     {\urlfootmark}{\pagenumberfont\thepage}%
    }%
    \def\@evenfoot{%
      \pageheadfootfont%
      \footbox@twocol{\pagenumberfont\thepage}{\urlfootmark}%
                     {\relax}              {\@copyrightmark}%
    }%
  \fi%@threecolumn
}%
\def\ps@andp{%
  \@ps@andp@head
  \@ps@andp@foot
}%
\def\@ps@emptyhead@head{%
  \def\@oddhead{\relax}%
  \def\@evenhead{\relax}%
}%
\def\ps@emptyhead{%
  \@ps@emptyhead@head
  \@ps@andp@foot
}%
\def\@ps@titlepage@head{%
  \def\@oddhead{%
    \@oddheadbox{\@ps@titlepage@headattrib}}%
  \def\@evenhead{%
    \@reverseoddheadbox{\@ps@titlepage@headattrib}}%
}%
\def\@ps@titlepage@foot{%
  \if@threecolumn
    \def\@oddfoot{%
      \pageheadfootfont%
      \footbox@threecol{\@copyrightmark}{\relax}{\relax}{\relax}{\@publisherlogo}{\pagenumberfont\thepage}}%
    \def\@evenfoot{%
      \pageheadfootfont%
      \footbox@threecol{\pagenumberfont\thepage}{\@publisherlogo}{\relax}{\relax}{\relax}{\@copyrightmark}}%
  \else%@threecolumn
    \def\@oddfoot{%
      \pageheadfootfont%
      \footbox@twocol{\@copyrightmark}{\relax}{\@publisherlogo}{\pagenumberfont\thepage}}%
    \def\@evenfoot{%
      \pageheadfootfont%
      \footbox@twocol{\pagenumberfont\thepage}{\@publisherlogo}{\relax}{\@copyrightmark}}%
  \fi%@threecolumn
}%
\def\ps@titlepage{%
  \@ps@titlepage@head
  \@ps@titlepage@foot
}%
\def\toc@headcolorbarbleed{20mm}%
\def\toc@headcolorbar#1#2#3{%
  \raisebox{0mm}[10mm][0pt]{%
  \fboxsep\z@
  \@ifarg{#1}{\makebox[\toc@onecolwidth][l]{#1}}%
  \colorbox{toc@headlinebg}{%
    \raisebox{3.3mm}[9.8mm][0.2mm]{%
      \makebox[\toc@innercolwidth][l]{%
      \@ifarg{#1}{\hskip 10\p@}%
      \@ifarg{#3}{\hskip \toc@headcolorbarbleed}%
      #2}}}%
  \@ifarg{#3}{\makebox[\toc@onecolwidth][r]{#3}}%
    }%
}%
\def\@dropheadlinebox#1#2{\raisebox{-22mm}[\z@][\z@]{\makebox[\textwidth][#1]{#2}}}%
\def\@ps@tocfirst@head{%
  \def\@oddhead{%
    \def\toc@headcolorbarbleed{0mm}%
    \@@headbox
     {}%
     {\@ps@titlepage@headattrib}%
     {\@dropheadlinebox{r}{\tocfirst@headline}}%
     {\@journallogo}%
     {\oddcategorymark}%
  }%
  \def\@evenhead{%
    \@@headbox
     {\evencategorymark}%
     {\@ps@titlepage@headattrib}%
     {\@dropheadlinebox{l}{\tocfirst@headline}}%
     {\@journallogo}%
     {}%
  }%
}%
\def\tocfirst@headline{%
  \toc@headcolorbar
   {\textcolor{toc@headline}{\toc@headlinefonti\contentsname}}%
   {{\toc@headlinefontii Full text on our homepage at}%
     \enspace
     \textcolor{toc@headline}{\toc@headlinefontiii www.ann-phys.org}}{}%
}%
\def\ps@tocfirst{%
  \@ps@tocfirst@head
  \@ps@andp@foot
}%
\def\@ps@toc@head{%
  \gdef\@oddhead{%
    \@@headbox
     {}%
     {\@ps@odd@headattrib}%
     {\raisebox{-22mm}[\z@][\z@]{\makebox[\textwidth][r]{\toc@oddheadline}}}%
     {}{\oddcategorymark}%
  }%
  \gdef\@evenhead{%
    \@@headbox
     {\evencategorymark}{}%
     {\raisebox{-22mm}[\z@][\z@]{\makebox[\textwidth][l]{\toc@evenheadline}}}%
     {\contentsname}{}%
  }%
}%
\def\toc@evenheadline{%
  \toc@headcolorbar
   {\@@journallogo{\columnwidth@threecol}}%
   {{\toc@headlinefontii Full text on our homepage at}%
     \enspace
     \textcolor{toc@headline}{\toc@headlinefontiii www.ann-phys.org}}%
   {}%
}%
\def\toc@oddheadline{%
  \toc@headcolorbar{}
   {\toc@headlinefontii\@toc@headvolumeline}%
   {\@@journallogo{\columnwidth@threecol}}%
}%
\def\ps@toc{%
  \@ps@toc@head
  \@ps@andp@foot
}%
\pagestyle{andp}
\def\DOIprefix#1{\def\doi@prefix{#1}}%
\def\DOIsuffix#1{\def\doi@suffix{#1}}%
\DOIprefix{}%
\DOIsuffix{}%
\def\Volume#1{\def\@volume{#1}}
\Volume{0}
\def\Issue#1{\def\@issue{#1}}
\Issue{0}
\def\Copyrightissue#1{\ClassWarning{\@classname}{Copyrightissue is no longer used.}}
\def\Month#1{\def\@month{#1}}
\Month{0}
\def\Year#1{\def\@year{#1}}
\Year{\the\year}
\def\copyrightyear#1{\def\@copyrightyear{#1}}%
\copyrightyear{\the\year}%
\let\setyear\Year
\let\setcopyrightyear\copyrightyear
\def\category#1{%
  \@ifempty{#1}{\let\@category\relax}{\gdef\@category{#1}}%
}%
\category{}%
\renewcommand*{\title}[2][]{%
  \@ifempty{#2}{\let\@title\relax}{\def\@title{#2}}%
  \@ifempty{#1}{\def\@shorttitle{#2}}{\def\@shorttitle{#1}}%
  }%
\def\shorttitle#1{\@ifempty{#1}{\let\@shorttitle\relax}{\def\@shorttitle{#1}}}%
\def\pretitle#1{\@ifempty{#1}{\let\@pretitle\relax}{\def\@pretitle{#1}}}%
\let\subcategory\pretitle
\def\subtitle#1{\@ifempty{#1}{\let\@subtitle\relax}{\def\@subtitle{#1}}}%
\title{}%
\pretitle{}%
\subtitle{}%
\def\shortauthors#1{%
  \@ifempty{#1}{\global\let\@shortauthors\relax}{\gdef\@shortauthors{#1}}%
}%
\renewcommand{\author}[2][]{%
  \ifx\@authors\@empty
    \gdef\@authors{#2}%
  \else%
    \g@addto@macro\@authors{\and\mbox{#2}}%
  \fi%
  \@ifempty{#1}{%
    \ifx\@shortauthors\@empty
      \gdef\@shortauthors{#2}%
    \else%
      \g@addto@macro\@shortauthors{\and#2}%
    \fi%
  }{%
    \ifx\@shortauthors\@empty
      \gdef\@shortauthors{#1}%
    \else%
      \g@addto@macro\@shortauthors{\and#1}%
    \fi%
  }%
  \g@addto@macro\@affiliations{\printaffilauthor{#2}}%
}%
\let\@shortauthors\@empty
\let\@authors\@empty
\newcommand{\authors}[1]{\@ifempty{#1}{\global\let\@authors\@empty}{\gdef\@authors{#1}}}%
\newcommand{\editors}[1]{\@ifempty{#1}{\let\@editors\@empty}{\def\@editors{#1}}}%
\newcommand*{\Receiveddate}[2][\receivedname]{%
  \@ifempty{#2}%
   {\global\let\@received\relax}%
   {\gdef\@received{\mbox{#1 #2}}}%
  }%
\Receiveddate{}
\newcommand*{\Reviseddate}[2][\revisedname]{%
  \@ifempty{#2}%
   {\global\let\@revised\relax}%
   {\gdef\@revised{, \mbox{#1 #2}}}%
  }%
\Reviseddate{}
\newcommand*{\Accepteddate}[2][\acceptedname]{%
  \@ifempty{#2}%
   {\global\let\@accepted\relax}%
   {\gdef\@accepted{, \mbox{#1 #2}}}%
  }%
\Accepteddate{}
\newcommand*{\Dateposted}[2][\publishedname]{%
  \@ifempty{#2}%
   {\global\let\@published\relax}%
   {\gdef\@published{\mbox{#1 #2}}}%
  }%
\Dateposted{}
\def\keywords#1{%
  \@ifempty{#1}{\global\let\@keywords\relax}{\gdef\@keywords{#1}}%
}%
\keywords{}%
\def\dedicatory#1{%
  \@ifempty{#1}{\global\let\@dedicatory\relax}{\gdef\@dedicatory{#1}}%
}%
\def\dedicatoryname#1{%
  \@ifempty{#1}{\global\let\@dedicatoryname\relax}{\gdef\@dedicatoryname{#1\space}}%
}%
\dedicatory{}%
\dedicatoryname{}%
\newcommand*\subjclass[2][1991]{%
  \def\@subjclass{#2}%
  \@ifundefined{subjclassname@#1}{%
    \ClassWarning{\@classname}{Unknown edition (#1) of Mathematics
      Subject Classification; using '1991'.}%
  }{%
    \expandafter\let\expandafter\subjclassname\csname subjclassname@#1\endcsname
  }%
}
\let\@subjclass\@empty
\newcommand{\subjclassname}{Subject classification}
\expandafter\let\csname subjclassname@1991\endcsname \subjclassname
\@namedef{subjclassname@2000}{%
  \textup{2000} Mathematics Subject Classification}
\@namedef{subjclassname@msc2000}{MSC (2000)}
\@namedef{subjclassname@msc2010}{MSC (2010)}
\@namedef{subjclassname@AMS}{AMS}
\def\@tempb{article}
\ifx\@classname\@tempb
  \newcommand{\datename}{\textit{Date}:}
\else%
  \newcommand{\datename}{Received by the editors}
\fi%
\def\@setsubjclass{%
  \ifSubjClassinTitle
    \noindent\hfill
    \parbox[t]{\TitleWidth}{\scl@font{\scll@font\subjclassname}\enspace\@subjclass}%
    \vskip\asc@skip\baselineskip
  \else%
    {\scl@font{\scll@font \subjclassname}\enspace\@subjclass}%
  \fi%
}
\let\abstract\relax%
\let\@abstract\relax%
\NewEnviron{abstract}{\global\let\@abstract\BODY}%
\let\@acknowledgements\relax%
\NewEnviron{acknowledgements}{\global\let\@acknowledgements\BODY}%
\let\@affiliation\relax%
\NewEnviron{affiliation}{\g@addto@macro\@affiliation\BODY}%
\newcommand{\headelem}[6]{%
  \begingroup
    \addtolength{\leftskip}{#3}%
    \addtolength{\rightskip}{#4}%
    \tolerance 1000
    \emergencystretch 1em
    \parskip\z@
    \parindent\z@
      \vspace*{#1}%
      #5\relax
      #6\par
      \vspace*{#2}%
  \endgroup}
\def\printpretitle{%
  \ifx\@pretitle\relax\else
    \headelem{-2mm}{7.5mm}{\z@}{\z@}{\pretitlestyle}{\MakeUppercase{\@pretitle}}%
  \fi%
  }%
\def\printtitle{%
  \ifx\@title\relax\else
    \headelem{-3mm}{4.2mm}{\z@}{\z@}{\titlefont}{\@title}%
  \fi%
  }%
\def\printsubtitle{%
  \ifx\@subtitle\relax\else
    \headelem{\z@}{4.5mm}{\z@}{\z@}{\subtitlefont\@subtitle}%
  \fi%
  }%
\def\printauthors{%
  \headelem{0.5mm}{5mm}{\z@}{\z@}{\authorfont}{\@authors}}%
\def\printpublishingdates{%
  \headelem{\z@}{8mm}{\z@}{\z@}{}{%
    \ifx\@received\relax\else\@received\@revised\@accepted\par\fi
    \@published
  }%
}
\def\printdedicatory{%
  \ifx\@dedicatory\relax\else
    \headelem{-8mm}{8mm}{\z@}{\z@}{}{{\dedicatoryfont\@dedicatoryname\@dedicatory}}%
  \fi
}
\newlength{\@abstractleftmargin}%
\setlength{\@abstractleftmargin}{19mm+\bleed}%
\newlength{\@abstractrightmargin}%
\setlength{\@abstractrightmargin}{4mm}%
\newlength{\skipabove}%
\newlength{\skipbelow}%
\newlength{\innertopmargin}%
\newlength{\innerbottommargin}%
\def\shortabstract{%
  \@dblabstractfalse
  \def\normalskipabove{0pt}%
  \def\normalskipbelow{0mm}%
  \def\normalinnertopmargin{4mm}%
  \def\normalinnerbottommargin{4mm}%
  \setheadskip\z@
}%
\def\longabstract{%
  \@dblabstracttrue
  \def\normalskipabove{0pt}%
  \def\normalskipbelow{25pt}%
  \def\normalinnertopmargin{6mm}%
  \def\normalinnerbottommargin{10mm}%
  \setheadskip\z@
}%
\newlength{\abstractskip}%
\def\setheadskip#1{%
  \@ifempty{#1}{%
    \setlength{\abstractskip}{\z@}%
  }{%
    \setlength{\abstractskip}{#1}%
  }%
  \if@dblabstract
    \setlength{\skipabove}{\normalskipabove+0.25\abstractskip}%
    \setlength{\skipbelow}{\normalskipbelow+0.25\abstractskip}%
    \setlength{\innertopmargin}{\normalinnertopmargin+0.25\abstractskip}%
    \setlength{\innerbottommargin}{\normalinnerbottommargin+0.25\abstractskip}%
  \else%@dblabstract
    \setlength{\skipabove}{\normalskipabove}%
    \setlength{\skipbelow}{\normalskipbelow+0.2\abstractskip}%
    \setlength{\innertopmargin}{\normalinnertopmargin+0.4\abstractskip}%
    \setlength{\innerbottommargin}{\normalinnerbottommargin+0.4\abstractskip}%
  \fi%@dblabstract
  }%
\longabstract
\if@dblabstract\longabstract\else\shortabstract\fi
\mdfdefinestyle{abstract}{%
    backgroundcolor=abstractbg,
    linewidth=0,
    leftmargin=-\@abstractleftmargin,
    rightmargin=-\@abstractrightmargin,
    innerleftmargin=\@abstractleftmargin,
    innerrightmargin=\@abstractrightmargin,
    innertopmargin=\innertopmargin,
    innerbottommargin=\innerbottommargin,
    skipabove=\skipabove,
    skipbelow=\skipbelow,
    nobreak}%
\def\printabstract{%
  \ifx\@abstract\relax
    \vspace*\abstractskip
  \else
    \if@twocolumn
      \if@dblabstract
      \let\@sglabstracthook\relax
        \begin{mdframed}[style=abstract]%
          \parbox{\textwidth}{%
            \abstractfont
            \premulticols\z@
            \postmulticols\z@
            \multicolsep\z@
            \begin{multicols}{2}%
              \RaggedRight
              \@abstract\par
            \end{multicols}%
          }%
        \end{mdframed}%
      \else%@dblabstract
        \gdef\@sglabstracthook{%
          \begin{mdframed}[style=abstract,rightmargin=0]%
            \parbox{\columnwidth}{%
              \abstractfont
              \RaggedRight
              \@abstract\par
            }%
          \end{mdframed}%
        }%
      \fi%@dblabstract
    \else%@twocolumn
      \let\@sglabstracthook\relax
      \headelem{-7mm}{4mm plus 4mm}{\z@}{\z@}{\abstriiifont\justifying}{%
        \vskip 0.33\abstractskip
        \noindent\@abstract\par
        \vskip 0.67\abstractskip
      }%
    \fi%@twocolumn
  \fi
}%
\newcommand{\xandlist}[4]{\@andlista{{#1}{#2}{#3}}#4\and\and}
\def\@andlista#1#2\and#3\and{\@andlistc{#2}\@ifnotempty{#3}{%
  \@andlistb#1{#3}}}
\def\@andlistb#1#2#3#4#5\and{%
  \@ifempty{#5}{%
    \@andlistc{#2#4}%
  }{%
    \@andlistc{#1#4}\@andlistb{#1}{#3}{#3}{#5}%
  }}
\let\@andlistc\@iden
\newcommand{\nxandlist}[4]{%
  \def\@andlistc##1{\toks@\expandafter{\the\toks@##1}}%
  \toks@{\toks@\@emptytoks \@andlista{{#1}{#2}{#3}}}%
  \the\expandafter\toks@#4\and\and
  \edef#4{\the\toks@}%
  \let\@andlistc\@iden}
\newcommand{\andify}{%
  \nxandlist{\unskip, }{\unskip{} {\andname}~}{\unskip, {\andname}~}}
\newcommand{\normalandify}{%
  \nxandlist{\unskip, }{\unskip{} {\andname}~}{\unskip, {\andname}~}}
\def\and{\unskip{} {\andname} \ignorespaces}
\def\instmarkstyle#1{\textsuperscript{#1}}%
\newlength{\instmarksep}%
\def\instmarkboxstyle#1{{\instmarkstyle{#1}\hskip\instmarksep}}%
\def\instmarkbox#1{\makebox[\instindent][r]{\instmarkboxstyle{#1}}}%
\def\inst#1{\unskip\instmarkstyle{\kern\p@{#1}}}%
\def\fnmsep{\unskip\instmarkstyle{,}}%
\def\addresses#1{\@ifempty{#1}{\global\let\@addresses\@empty}{\gdef\@addresses{#1}}}%
\def\titlenotes#1{\@ifempty{#1}{\global\let\@titlenotes\@empty}{\gdef\@titlenotes{#1}}}%
\addresses{}%
\titlenotes{\setcounter{titlenote}{\z@}}%
\newcommand{\address}[2][]{%
  \g@addto@macro\@addresses{\printaddress{#1}{#2}}%
  \g@addto@macro\@affiliations{\printaffiladdress{\url@sfstyle#2}}%
}%
\newcommand\printaddress[2]{%
  \let\inst\@firstofone
  \@ifempty{#1}{%
    \insert\footins{\noindent{\footnotefont\strut#2\strut\par}}%
  }%
  {\begingroup
     \edef\tmp{\number#1}%
     \ifnum\tmp=0
       \unrestored@protected@xdef\@thefnmark{\space}%
    \else%
       \csname c@\@mpfn\endcsname #1\relax
       \unrestored@protected@xdef\@thefnmark{\thempfn}%
    \fi%
  \endgroup%
  \@footnotetext{\strut#2\strut}%
  }%
}%
\newcounter{titlenote}%
\def\thetitlenote{\fnsymbol{titlenote}}%
\newcommand{\titlenote}[2][]{%
  \@ifempty{#1}{\stepcounter{titlenote}}{\setcounter{titlenote}{#1}}%
  \g@addto@macro\@titlenotes{\printtitlenote{#1}{#2}\par}%
  \inst{\thetitlenote}}%
\newcommand*{\mailaddress}[2][\mailname\mailnameend]{#1#2}%
\if@threecolumn
  \def\email#1{\@ifempty{#1}{\let\@email\relax}{\def\@email{#1}}}%
\else%
  \def\email#1{\titlenote{Corresponding author, \mailaddress{#1}}}%
\fi%
\newcommand\printtitlenote[2]{%
  \@ifempty{#1}{\stepcounter{titlenote}}{\setcounter{titlenote}{#1}}%
   \edef\@thefnmark{\thetitlenote}%
   \@footnotetext{\strut#2\strut}%
}%
\def\printtitlenotes{%
  \begingroup
    \@titlenotes
    \@addresses
  \endgroup
}
\mdfdefinestyle{biographies}{%
    defaultunit=mm,
    backgroundcolor=biographybg,
    linewidth=0,
    leftmargin=-0.5\columnsep,
    rightmargin=-0.5\columnsep,
    innerleftmargin=0.5\columnsep,
    innerrightmargin=0.5\columnsep,
    innertopmargin=4,
    innerbottommargin=4,
    splittopskip=7,
    splitbottomskip=4,
    skipabove=2\baselineskip,
    skipbelow=\baselineskip,
    nobreak}%
\newtoggle{firstauthorbox}%
\colorlet{biographybg}{andp-blue!20}%
\newenvironment{biographies}{%
  \if@proof\nolinenumbers\fi
  \toggletrue{firstauthorbox}%
   \begin{mdframed}[style=biographies]%
     \biographyfont
     \parindent=\z@
    \vspace{-3mm}%
    }{%
    \end{mdframed}%
  \if@proof\linenumbers\fi
  }%
  \newcommand{\authorbox}[4][]{%
    \iftoggle{firstauthorbox}%
     {\togglefalse{firstauthorbox}}%
     {\vspace{\baselineskip}}%
      \@ifarg{#2}{%
        \pichskip{0.667\columnsep}%
        \parpic{\raisebox{-2pt}[\height][\depth]{\includegraphics[width=24mm,clip,#1]{#2}}}%
        }%
      \everypar{\def\par{\picskip{0}}\everypar{}}%
      \noindent
      {\biographyfont{\bioauthornamefont#3}\space
      \ignorespaces#4}\par
   \vspace{\fill}%
    }%
\let\@sglabstracthook\relax
\def\maketitle{%
  \pretitlepage
  \par
  \let\save@footnote\footnote
  \let\footnote\titlenote
  \let\thanks\titlenote
  \@topnum\z@
  \thispagestyle{titlepage}%
  \andify\@authors
  \ifx\@shortauthors\@empty
    \let\@shortauthors\relax
  \else%
    \normalandify\@shortauthors
  \fi%
  \if@twocolumn
    \twocolumn[\@maketitle]%
    \@sglabstracthook
  \else%@twocolumn
    \if@threecolumn
      \iftoggle{threecolumnbalanced}%
       {\begin{multicols}{3}[\@maketitle\printreaderaddress]\relax
        \global\preto{\enddocument}{\end{multicols}}}%
       {\begin{multicols*}{3}[\@maketitle\printreaderaddress]\relax
        \global\preto{\enddocument}{\end{multicols*}}}%
      \@sglabstracthook\noindent
    \else%@threecolumn
      \@maketitle
     \fi%@threecolumn
  \fi%@twocolumn
  \if@twocolumn% MJK 2009-06-09
    \let\saved@outputdblcol\@outputdblcol
    \gdef\@outputdblcol{%
      \if@firstcolumn
        \saved@outputdblcol
        \printtitlenotes
      \else%
        \saved@outputdblcol
        \global\let\@outputdblcol\saved@outputdblcol
      \fi%
    }%
  \fi% end of MJK 2009-06-09
  \def\do##1{\let##1\relax}%
  \let\footnote\save@footnote \do\save@footnote
  \let\thanks\@gobble
  \ignorespaces
}%
\newtoggle{titlefigboxdefault}%
\toggletrue{titlefigboxdefault}%
\newlength{\titlefigwidth}%
\setlength{\titlefigwidth}{\z@}%
\def\default@titlefigjustifying{l}%
\def\titlefigjustifying#1{\@bsphack
  \@ifempty{#1}%
   {\gdef\@titlefigjustifying{\default@titlefigjustifying}}%
   {\gdef\@titlefigjustifying{#1}}%
  \@esphack}%
\titlefigjustifying{}%
\def\readeraddress#1{\@bsphack
  \@ifempty{#1}%
   {\let\@readeraddress\relax}%
   {\def\@readeraddress{#1}}%
  \@esphack}%
\def\printreaderaddress{%
  \ifx\@readeraddress\relax\else
    \noindent\@readeraddress\strut\\\relax
  \fi}%
\readeraddress{}%
\def\@maketitle{%
  \clearpage
  \begingroup
    \normalfont\normalsize
    \titlepagebasefont\noindent
    \ifx\@titlefigure\relax
      \begin{minipage}{\linewidth}
        \null
        \raggedright
        \printpretitle
        \printtitle
        \printsubtitle
        \printauthors
        \printpublishingdates
        \printdedicatory
        \null
      \end{minipage}\relax
    \else
    \makebox[\linewidth][c]{%
      \iftoggle{titlefigboxdefault}{%
        \if@threecolumn
          \setlength{\titlefigwidth}{\columnwidth@threecol}%
        \else
          \setlength{\titlefigwidth}{\columnwidth@twocol}%
        \fi
      }{\ifdim\titlefigwidth>\z@
          \ifx\titlefigjustifying\default@titlefigjustifying
            \def\titlefigjustifying{r}%
          \fi
        \else
          \setlength{\titlefigwidth}{\widthof{\@titlefigure}}%
        \fi
      }%
      \begin{minipage}[t]{\textwidth-\titlefigwidth-\columnsep}%
        \raggedright
        \printpretitle
        \printtitle
        \printsubtitle
        \printauthors
        \printpublishingdates
        \printdedicatory
        \null
      \end{minipage}%
      \hfill%
      \parbox[t]{\titlefigwidth}{\makebox[\linewidth][\@titlefigjustifying]{\@titlefigure}}%
    }%
    \fi
    \par
    \printabstract
  \endgroup
}%
\def\titlepage{%
  \clearpage
  \thispagestyle{titlepage}%
  \setcounter{page}{0}}
\def\endtitlepage{\newpage}
\def\printacknowledgements{%
  \ifx\@acknowledgements\relax\else
    \headelem{12.5pt}{\z@}{\z@}{\z@}{\ackfont}{%
      {\acknamefont\ackname\acknameend}%
      \@acknowledgements}%
  \fi%
}
\def\printkeywords{%
  \ifx\@keywords\relax\else
    \headelem{12.5pt}{\z@}{\z@}{\z@}{\keywordsfont}{%
      {\keywordsnamefont\keywordsname\keywordsnameend}%
      \@keywords}%
  \fi%
}%
\def\affiliations#1{%
  \@ifempty{#1}%
   {\global\let\@affiliations\relax}%
   {\gdef\@affiliations{#1}}%
}%
\affiliations{\relax}%
\newtoggle{authorskip}%
\def\affilauthorskip{\iftoggle{authorskip}{\vskip 12.5pt\togglefalse{authorskip}}{}}%
\def\printaffiliations{%
  \if@threecolumn
    \def\printaffilauthor##1{%
      \affilauthorskip
      \par
      \begingroup
        \let\email\@gobble
        \let\inst\@gobble
        \ignorespaces
        ##1\relax
      \endgroup}%
    \def\printaffiladdress##1{\newline##1\toggletrue{authorskip}}%
    \ifx\@affiliations\relax\else
      \headelem{12.5pt}{\z@}{\z@}{\z@}{\affiliationsfont\raggedright}{\@affiliations}%
    \fi%
  \fi%
}%
\newdimen\aftertext
\aftertext=5pt
\newif\if@proofnote%
\NewEnviron{proofnote}{%
  \global\let\@proofnote\BODY
  \global\@proofnotetrue}
\def\printproofnote{%
  \if@proofnote
    \bgroup
      \par\noindent\textbf{\proofnotename\quad}\@proofnote
    \egroup
    \global\@proofnotefalse
  \fi%
}
\def\authorcontributionsname{Author contributions:\space}
\long\def\authorcontributions#1{\gdef\@authorcontributions{#1}}
\authorcontributions{}
\def\printauthorcontributions{%
  \ifx\@authorcontributions\@empty\else
    \par\textbf{\authorcontributionsname}\ignorespaces\@authorcontributions
  \fi%
}%
\def\supportinginformationname{Supporting information\space}
\long\def\supportinginformation#1{\gdef\@supportinginformation{#1}}
\supportinginformation{}
\def\printsupportinginformation{%
  \ifx\@supportinginformation\@empty\else
    \par\textbf{\supportinginformationname}\ignorespaces\@supportinginformation
  \fi%
}
\def\conflictofinterestname{Conflict of interest:\space}
\long\def\conflictofinterest#1{\gdef\@conflictofinterest{#1}}
\conflictofinterest{}
\def\printconflictofinterest{%
  \ifx\@conflictofinterest\@empty\else
    \par\textbf{\conflictofinterestname}\ignorespaces\@conflictofinterest
  \fi%
}
\newif\ifarticlefinale
\articlefinaletrue
\def\printarticlefinale{%
  \ifarticlefinale
    \bgroup
      \articlefinalefont
      \printacknowledgements
      \printkeywords
      \printaffiliations
    \egroup
    \global\articlefinalefalse
  \fi%
}%
\AtEndDocument{\printarticlefinale}%
\def\pacsname{{\mbseries PACS:}\enspace}
\def\pacs#1{%
  \@ifempty{#1}%
   {\let\printpacs\relax}%
   {\@tempswatrue
    \gdef\printpacs{\par\pacsname\ignorespaces#1}}%
}%
\pacs{}%
\def\mscname{{\mbseries MSC\,(2000):}\enspace}
\def\msc#1{%
  \@ifempty{#1}%
   {\let\printmsc\relax}%
   {\@tempswatrue
    \gdef\printmsc{\par\mscname\ignorespaces#1}}%
}
\msc{}
\newlength{\titlefiglift}%
\def\titlefiglift@offset{8.5\p@}%
\newlength{\titlefigskipabove}%
\newlength{\titlefigskipbelow}%
\titlefiglift\z@
\titlefigskipabove\z@
\titlefigskipbelow 37.5pt% = 3\baselineskip
\newtoggle{titlefigure@star}%
\newcommand*{\andp@titlefigurelift}[2][\titlefiglift@offset]{%
  \raisebox{\titlefiglift-\totalheight+#1}%
           [\titlefigskipabove]%
           [\totalheight+\titlefigskipbelow-\titlefiglift-#1]%
   {#2}}%
\newcommand{\titlefigure}{%
  \@ifstar{%
    \toggletrue{titlefigure@star}%
    \titlefigure@i%
   }{%
    \togglefalse{titlefigure@star}%
    \titlefigure@i%
   }%
}%
\newcommand{\titlefigure@i}[2][]{%
  \@ifempty{#2}%
   {\let\@titlefigure\relax}%
   {\iftoggle{titlefigure@star}{%
    \def\@titlefigure{%
    \andp@titlefigurelift[4mm]{%
    \adjustboxset{margin=2mm}%
    \adjustboxset*{width=\linewidth,minipage=[b][\totalheight][c]{\linewidth}}%
    \adjustbox{#1}{%
    \centering
    \abovedisplayskip\z@
    \abovedisplayshortskip\z@
    #2\relax
   }%
   }}%
   }{%
      \def\@titlefigure{%
        \andp@titlefigurelift{\includegraphics*[width=\linewidth,#1]{#2}}}%
    }%
  }%
}%
\titlefigure{}%
\skip\footins=42\p@  \@minus 14\p@
\newlength{\footnoterulewidth}%
\setlength{\footnoterulewidth}{0.75\P@}%
\newlength{\footnoterulekern}%
\setlength{\footnoterulekern}{4\P@}%
\def\footnoterule{%
  \kern -\footnoterulekern
  \bgroup
    \advance\footnoterulekern\footnoterulewidth
    \color{footnoterule}%
    \hrule \@width\columnwidth \@height\footnoterulewidth
    \kern\footnoterulekern
  \egroup}%
\def\@makefnmark{\hbox{\footnotefont\@textsuperscript{\@thefnmark}}}%
\def\@fnsymbol#1{\ensuremath{%
  \ifcase#1
  \or {\ast}%
  \or {\ast\ast}%
  \or {\circ}%
  \or {\circ\circ}%
  \or {\bullet}%
  \or {\bullet\bullet}%
  \or {+}%
  \or {++}%
  \or {\mathchar "278}%
  \or {\mathchar "27B}%
  \or \|
  \else{(@arabic#1)}\fi\relax}}%
\def\hangfootparskip{\z@}%
\def\hangfootparindent{5mm}%
\footnotemargin 3mm
\g@addto@macro\footnotelayout{\footnotefont\RaggedRight}%
\newlength{\andptabpadding}%
\setlength{\andptabpadding}{2.5mm}%
\newlength{\andptablinesep}%
\setlength{\andptablinesep}{4pt}%
\newlength{\andptabfboxsep}%
\setlength{\andptabfboxsep}{0.5pt}%
\NewEnviron{andptabular}[3][]{\begingroup%
  \tablefont
  \setlength{\tabcolsep}{\andptabpadding}%
  \setlength{\tabulinesep}{\andptablinesep}%
  \setlength{\fboxsep}{\andptabfboxsep}%
  \refstepcounter{table}%
  \addtolength{\linewidth}{-2\fboxsep}%
  \taburowcolors 2{tablebgI .. tablebgII}%
  \extrarowheight \z@%
  \@ifempty{#1}{%
    \setbox\@tempboxa\hbox{%
    \begin{tabu}{#2}%
      \rowfont{\tabletitlefont}%
      \BODY
    \end{tabu}%
  }}{%
    \setbox\@tempboxa\hbox{%
    \begin{tabu} to #1{#2}%
      \rowfont{\tabletitlefont}%
      \BODY
    \end{tabu}%
  }}%
  \colorbox{tablecaptionbg}{%
    \parbox[t]{\wd\@tempboxa}{%
      \centering
      \parbox[t][\totalheight+2\tabcolsep][c]{\linewidth-2\tabcolsep}{%
        \strut
        \tablecaptionstyle
        \RaggedRight
        {\tablecaptionnamestyle\fnum@table}\space
        \ignorespaces#3\unskip
        \strut
        \par
      }
      \box\@tempboxa
}}\endgroup}%
\NewEnviron{andptabbox}[2][]{\begingroup%
  \tablefont
  \setlength{\tabcolsep}{\andptabpadding}%
  \setlength{\tabulinesep}{\andptablinesep}%
  \setlength{\fboxsep}{\andptabfboxsep}%
  \newlength{\@lw}%
  \refstepcounter{table}%
  \addtolength{\linewidth}{-2\fboxsep}%
  \extrarowheight \z@%
  \@ifempty{#1}{%
  \setbox\@tempboxa\hbox{%
    \BODY
  }%
  }{%
  \setlength{\@lw}{-2\tabcolsep-2\fboxsep+#1}
  \setbox\@tempboxa\hbox to \@lw {%
    \BODY
  }%
  }%
  \colorbox{tablecaptionbg}{%
    \parbox[t]{\wd\@tempboxa+2\tabcolsep+2\fboxsep}{%
    \centering%
      \parbox[t][\totalheight+2\tabcolsep][c]{\linewidth-2\tabcolsep}{%
        \strut
        \tablecaptionstyle
        \RaggedRight
        {\tablecaptionnamestyle\fnum@table}\space
        \ignorespaces#2\unskip
        \strut
        \par
      }\\*
      \colorbox{tablebgI}{%
        \makebox[\linewidth-2\andptabfboxsep][c]{%
        \begin{minipage}[t][\totalheight+2\tabcolsep][c]{\linewidth-2\tabcolsep}%
            \BODY
        \end{minipage}%
        }}}%
  }\endgroup}%
\setlength\floatsep       {25\p@ \@plus 6.25\p@ \@minus 6.25\p@}
\setlength\textfloatsep   {25\p@ \@plus 6.25\p@ \@minus 6.25\p@}
\setlength\intextsep      {25\p@ \@plus 6.25\p@ \@minus 6.25\p@}
\setlength\dblfloatsep    {25\p@ \@plus 6.25\p@ \@minus 6.25\p@}
\setlength\dbltextfloatsep{25\p@ \@plus 6.25\p@ \@minus 6.25\p@}
\setlength\@fptop{0\P@}
\setlength\@fpsep{10\P@}
\setlength\@fpbot{0\P@ \@plus 1fil}
\setlength\@dblfptop{0\P@}
\setlength\@dblfpsep{10\P@}
\setlength\@dblfpbot{0\P@ \@plus 1fil}
\setcounter{topnumber}{10}
\setcounter{dbltopnumber}{10}
\setcounter{bottomnumber}{10}
\setcounter{totalnumber}{20}
\def\topfraction{0.999}
\def\bottomfraction{0.999}
\def\dbltopfraction{0.999}
\def\dblbottomfraction{0.999}
\def\floatpagefraction{0.999}
\def\dblfloatpagefraction{0.999}
\def\textfraction{0.001}
\DeclareCaptionFormat{andp-sidecaption}{\andpcaptionfont{\andpcaptionnamefont #1}#2#3}%
\captionsetup{format=andp-sidecaption}%

\newcounter{figure}
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}{\@float{figure}}{\end@float}
\newenvironment{figure*}{\@dblfloat{figure}}{\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}{\@float{table}}{\end@float}
\newenvironment{table*}{\@dblfloat{table}}{\end@dblfloat}
\def\@floatboxreset{%
  \reset@font
  \small
  \@setnobreak
  \@setminipage
}
\newcommand\leftlegendglue{}%
\def\fig@type{figure}
\newlength{\figcapgap}%
\setlength{\figcapgap}{4mm}%%
\newlength{\tabcapgap}%
\setlength{\tabcapgap}{4mm}%%
\newlength{\figgap}%
\setlength{\figgap}{\columnsep}%%
\long\def\@makesidecaption#1#2{%
  \parbox[b]{\@tempdima}{%
    \andpcaptionfont{\andpcaptionnamefont#1\floatcounterend}#2\vskip\z@
    }}%
\def\sidecaption#1\caption{%
  \setbox\@tempboxa=\hbox{#1\unskip}%
  \if@twocolumn
   \ifdim\hsize<\textwidth\else
     \ifdim\wd\@tempboxa<\columnwidth
        \typeout{Double column float fits into single column -
              ^^Jyou'd better switch the environment. }%
     \fi%
   \fi%
  \fi%
  \setlength{\@tempdima}{\hsize-\figgap-\wd\@tempboxa}%
  \ifdim\@tempdima<3cm
      \typeout{\string\sidecaption: No sufficient room for the legend;
               using normal \string\caption.}%
     \unhbox\@tempboxa
     \let\@capcommand=\@caption
  \else%
     \let\@capcommand=\@sidecaption
     \leavevmode
     \unhbox\@tempboxa
     \hfill
  \fi%
  \refstepcounter\@captype
  \@dblarg{\@capcommand\@captype}%
}
\long\def\@sidecaption#1[#2]#3{%
  \addcontentsline{\csname ext@#1\endcsname}{#1}%
   {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
  \begingroup
    \@parboxrestore
    \@makesidecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}%
    \par
  \endgroup}
\setlength\lineskip{1\P@}
\setlength\normallineskip{1\P@}
\renewcommand\baselinestretch{}%
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\DeclareCaptionLabelSeparator{colon}{\enspace}%
\DeclareCaptionFormat{andp-twocolumn}{%
  \begin{minipage}{\linewidth}%
    \begin{multicols}{2}%
      \andpcaptionfont
      {\andpcaptionnamefont\bothIfSecond{#1}{#2}}#3\unskip
    \end{multicols}%
  \end{minipage}%
  }%
\DeclareCaptionFont{andpcaptionfont}{\andpcaptionfont}%
\DeclareCaptionFont{andpcaptionnamefont}{\andpcaptionnamefont}%
\DeclareCaptionStyle{andp}{%
  style=base,%
  skip=25pt,%
  labelfont=andpcaptionnamefont,%
  textfont=andpcaptionfont%
  }
\DeclareCaptionStyle{andp-twocolumn}{style=andp,format=andp-twocolumn}
\captionsetup{style=andp}%
\def\twocolcaption{\captionsetup{style=andp-twocolumn}}%%
\newenvironment{columnfigure}[1][\linewidth]{%
  \bgroup
  \parindent\z@
  \vspace{\intextsep}
  \ifcolfigsnumbered
    \def\fnum@figure{\figurename~\thefigure}%
  \else%
    \def\fnum@figure{{\figurename}}%
  \fi%
  \def\floatcounterend{: }%
  \par
  \leavevmode\noindent%
  \begin{minipage}[b]{#1}%
    \centering}%
 {\end{minipage}\egroup\par
  \vspace\intextsep
  \ignorespacesafterend
}
\newcommand{\DeclareCaption}[2]{%
  \def#1{\def\@captype{#2}\caption}%
}%
\DeclareCaption{\figcaption}{figure}
\DeclareCaption{\tabcaption}{table}
\let\col\relax
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep \z@
            \topsep 6\p@ \@plus2\p@ \@minus4\p@
            \itemsep\parsep}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \setlength{\labelwidth}{\leftmarginii-\labelsep}%
              \topsep    \z@
              \parsep    \topsep
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \setlength{\labelwidth}{\leftmarginiii-\labelsep}%
              \topsep    \z@
              \parsep    \topsep
              \itemsep   \parsep}
\def\@listiv {\leftmargin\leftmarginiv
              \setlength{\labelwidth}{\leftmarginiv-\labelsep}}
\def\@listv  {\leftmargin\leftmarginv
              \setlength{\labelwidth}{\leftmarginv-\labelsep}}
\def\@listvi {\leftmargin\leftmarginvi
              \setlength{\labelwidth}{\leftmarginvi-\labelsep}}
\def\setitemindent#1{%
  \settowidth{\labelwidth}{#1}%
  \setlength{\leftmargini}{\labelwidth+\labelsep}%
  \def\@listi{%
    \leftmargin\leftmargini
    \setlength{\labelwidth}{\leftmargini-\labelsep}%
    \parsep\parskip
    \setlength{\topsep}{\medskipamount}%
    \setlength{\itemsep}{\parskip-\parsep}%
  }}
\def\setitemitemindent#1{\settowidth{\labelwidth}{#1}%
        \setlength{\leftmarginii}{\labelwidth+\labelsep}%
\def\@listii{\leftmargin\leftmarginii
        \labelwidth\leftmarginii\advance\labelwidth by -\labelsep
        \parsep=\parskip
        \topsep=\z@
        \itemsep=\parskip \advance\itemsep by -\parsep}}
\def\descriptionlabel#1{\hspace\labelsep\mbseries\sffamily #1}
\def\description{\@ifnextchar[%]
  {\@describe}{\list{}{\labelwidth\z@
          \itemindent-\leftmargin \let\makelabel\descriptionlabel}}}
\let\enddescription\endlist
\def\describelabel#1{#1\hfil}
\def\@describe[#1]{\relax\ifnum\@listdepth=0
\setitemindent{#1}\else\ifnum\@listdepth=1
\setitemitemindent{#1}\fi\fi
\list{--}{\let\makelabel\describelabel}}
\colorlet{toc@pagespan}{andp!70}%
\colorlet{toc@volume}{andp!70}%
\colorlet{toc@category}{andp!70}%
\colorlet{toc@headline}{andp!70}%
\colorlet{toc@headlinebg}{andp-blue!20}%
\colorlet{toc@indexedboxbg}{andp-blue!20}%
\colorlet{toc@edchoice}{andp-red}%
\colorlet{toc@specialissue}{andp-red}%
\colorlet{retro@bg}{andp-blue!20}%
\colorlet{retro@pagetitle}{andp!70}%
\def\toc@categorystyle  {\LARGE\mbseries\upshape\sffamily\color{toc@category}}%
\def\toc@pagespanfont   {\normalsize\mbseries\upshape\sffamily}%
\def\toc@pagespannumfont{\normalsize\mdseries\upshape\sffamily\lnfigures}%
\def\toc@volumefont     {\normalsize\mbseries\upshape\sffamily\lnfigures}%
\def\toc@authorsfont    {\normalsize\mdseries\itshape\sffamily}%
\def\toc@titlefont      {\normalsize\mbseries\upshape\sffamily}%
\def\toc@pretitlefont   {\normalsize\mbseries\upshape\sffamily}%
\def\toc@abstractfont   {\normalsize\mdseries\upshape\sffamily\RaggedRight}%
\def\toc@headlinefonti  {\fontsize{45.36\P@}{45.36\P@}\mbseries\upshape\sffamily}%
\def\toc@headlinefontii {\fontsize{12.96\P@}{13\P@}\mdseries\upshape\sffamily}%
\def\toc@headlinefontiii{\fontsize{19.44\P@}{19.5\P@}\mbseries\upshape\sffamily}%
\def\toc@edchoicefont   {\normalsize\bfseries\upshape\sffamily}%
\def\toc@specialissuefont{\normalsize\bfseries\upshape\sffamily}%
\def\toc@indexedboxfont {\small\mdseries\upshape\sffamily}%
\def\toc@indexednamefont{\small\mbseries\upshape\sffamily}%
\def\retro@pagetitlefont  {\fontsize{16.2\P@}{16.2\P@}\mbseries\upshape\sffamily}
\def\retro@entryfont      {\normalsize\mdseries\upshape\sffamily}%
\def\retro@volumelinefont {}%
\def\retro@entrytypefont  {\normalsize\bfseries\upshape\sffamily}%
\def\retro@pretitlefont   {}%
\def\retro@titlefont      {\LARGE\mbseries\upshape\sffamily}
\def\retro@subtitlefont   {\normalsize\mbseries\upshape\sffamily}
\def\retro@authorfont     {}%
\def\retro@locationfont   {}%
\def\retro@abstractfont   {}%
\colorlet{retro@entrytype}{andp-red}%
\newlength{\toc@onecolwidth}%
\newlength{\toc@twocolwidth}%
\newlength{\toc@innercolwidth}%
\setlength{\toc@onecolwidth}  {\columnwidth@threecol+\columnsep}%
\setlength{\toc@twocolwidth}  {2\columnwidth@threecol+\columnsep}%
\setlength{\toc@innercolwidth}{\toc@twocolwidth+\toc@headcolorbarbleed}%
\long\def\entrycolumnbox#1{%
  \begin{minipage}[t]{\columnwidth@threecol}%
    \raggedright #1\relax
  \end{minipage}}%
\def\entryrule{%
  \raisebox{\z@}[0mm][10pt]{\color{entryrule}\rule{\linewidth}{0.75\p@}}%
  \\*}%
\newcommand\entrybox[3]{%
  \vbox{%
  \entryrule
  \mbox{%
    \entrycolumnbox{#1}\hspace{\columnsep}%
    \entrycolumnbox{#2}\hspace{\columnsep}%
    \entrycolumnbox{#3}%
    }%
  \vskip8mm}%
}%
\def\rangedash{\kern 0.5pt--\kern 0.5pt}%
\newcommand{\toc@pagespan}[3][]{%
  \@ifempty{#2}%
   {\ifdebug
     {\def\@@pagespan{{\toc@pagespanfont\pagename\space}{\color{andp-red}\texteb{??}}}}%
     {\def\@@pagespan{\rule{\z@}{\z@}}}}%
   {\@ifempty{#3}%
     {\def\@@pagespan{{\toc@pagespanfont\pagename\space}{\toc@pagespannumfont#1#2}}}%
     {\def\@@pagespan{{\toc@pagespanfont\pagename\space}{\toc@pagespannumfont#1#2\rangedash#1#3}}}%
}}%
\def\toc@category#1{%
  \@ifempty{#1}{\let\@toc@category\relax}{\edef\@toc@category{#1}}%
}%
\def\@toc@headvolumeline{%
  \textcolor{toc@headline}{\volumename}\space\space
  \@volume~${}\vert{}$~\@year~${}\vert{}$~No.\,\@issue}
\def\@toc@volumeline{%
  \@volume~${}\vert{}$~\@year~${}\vert{}$~No.\,\@issue}
\def\toc@indexedtext{%
  is indexed in
  Chemical Abstracts Service\slash{}SciFinder,
  COMPENDEX,
  Current Contents\Reg\slash{}Physical,
  Chemical\,\&\,Earth Sciences,
  FIZ Karlsruhe Databases,
  INIS: International Nuclear Information System Database,
  INSPEC,
  Journal Citation Reports\slash{}Science Edition,
  Science Citation Index Expanded\TM,
  Science Citation Index\Reg,
  SCOPUS,
  Statistical Theory\,\&\,Method Abstracts,
  VINITI,
  Web of Science\Reg,
  Zentralblatt MATH\slash{}Mathematics Abstracts\par
  \vskip 2mm
  \vcenterbox{\includegraphics[hiresbb,width=10mm]{EPSlogo}}\quad
  Recognized by the European Physical Society
 }%
\newcommand{\toc@indexedbox}{%
  \vspace{\fill}%
  \begingroup
    \def\toc@indexedbox@hsep{5mm}%
    \def\toc@indexedbox@vsep{3mm}%
    \fboxsep\z@
    \colorbox{toc@indexedboxbg}{\makebox[\textwidth][c]{%
      \parbox[c][\totalheight+\toc@indexedbox@vsep*2][c]{\textwidth-2\fboxsep-\toc@indexedbox@hsep*2}{%
      \toc@indexedboxfont
      \raggedright
      \strut
      {\toc@indexednamefont\long@journalname}\space
      \toc@indexedtext
      \strut
    }}}%
  \endgroup
}%
  \newtoggle{dblline}%
  \def\@dblline{\iftoggle{dblline}{\vskip\baselineskip}{\relax}}%
\if@colour
  \def\toc@headlogoname{WOL_logo_2013}%
\else
  \def\toc@headlogoname{WOL_logo_2013}%
\fi
\def\toc@headlogobox{%
\makebox[\textwidth][r]{\makebox[\toc@twocolwidth][l]{\WOL@box{57mm}{\toc@headlogoname}}}%
\vskip 9mm}%
\newenvironment{contents}[1][\contentsname]{%
  \onecolumn
  \category{#1}%
  \pagestyle{toc}%
  \thispagestyle{tocfirst}%
  \parindent\z@
  \parskip\z@
  \lineskip\z@
  \def\titlefiglift@offset{6.5\p@}%
  \titlefiglift\z@
  \titlefigskipabove\z@
  \titlefigskipbelow\z@
  \keywords{}\let\keywords\@gobble
  \let\pagespan\toc@pagespan \pagespan{}{}%
  \let\category\toc@category \category{}%
\newcommand{\icon}[2][]{%
  \@ifempty{##2}%
   {\let\@icon\relax}%
   {\def\@icon{\raisebox{-\totalheight+2.2mm}[2.2mm][\z@]{\includegraphics*[width=10mm,##1]{##2}}}}%
   }%
\newcommand{\edchoice}[1][Editor's Choice]{%
  \@ifempty{##1}%
   {\let\@edchoice\relax}%
   {\def\@edchoice{##1}}%
   }%
\newcommand{\specialissue}[1][Special Issue]{%
  \@ifempty{##1}%
   {\let\@specialissue\relax}%
   {\def\@specialissue{##1}}%
   }%
  \def\printcategory{%
    \ifx\@toc@category\relax\else
      \raisebox{0mm}[0mm][3.5mm]{\toc@categorystyle\MakeUppercase{\@toc@category}}%
      \\*
      \global\let\@toc@category\relax
    \fi}%
  \def\printpagespan{{%
    \@@pagespan
    \ifx\@icon\relax\else\hfill\llap{\@icon}\fi
    \par}\@dblline}%
  \def\printvolumeline{{%
    \toc@volumefont\textcolor{toc@volume}{\volumename}%
    \space
    \@toc@volumeline
    \par}\@dblline
  }%
  \def\printauthors{{%
  \ifx\@authors\@empty\else
    \toc@authorsfont\@authors
    \par\@dblline
  \fi%
  }}%
  \def\printeditors{%
  \ifx\@editors\@empty\else
    \@dblline
    {%
  \toc@authorsfont
  edited by
  \@editors\par}\fi}%
  \def\printedchoice {{%
    \ifx\@edchoice\relax\else
    \toc@edchoicefont
    \textcolor{toc@edchoice}{\MakeUppercase{\@edchoice}}%
    \par\@dblline
    \fi
    }}%
  \def\printspecialissue {{%
    \ifx\@specialissue\relax\else
      \toc@specialissuefont
      \textcolor{toc@specialissue}{\MakeUppercase{\@specialissue}}%
      \par\@dblline
    \fi
    }}%
  \def\printtitle   {{\toc@titlefont\@title\par}}%
  \def\printpretitle{{\toc@pretitlefont\MakeUppercase{\@pretitle}\par}}%
  \long\def\printabstract{{\toc@abstractfont\@abstract\par}}%
  \def\printtitlefigure{\makebox[\linewidth][c]{\@titlefigure}}%
\toc@headlogobox
\newenvironment{entry}[1][]{%
  \@ifarg{##1}{\category{##1}}%
  \pagespan{}{}%
  \icon{}%
  \edchoice[]%
  \authors{}%
  \title{}%
  \pretitle{}%
  \titlefigure{}%
  }%
{%
  \printcategory
  \andify\@authors
  \ifx\@titlefigure\relax
    \entrybox%
     {\printpagespan}%
     {\printauthors
      \printtitle}%
     {\printpretitle}%
  \else
    \entrybox%
     {\toggletrue{dblline}%
      \printpagespan
      \printedchoice
      \printauthors
      \printtitle}%
     {\printtitlefigure}%
     {\printabstract}%
  \fi\par
  }%

\newenvironment{coverpicture}[1][cover picture]{%
  \category{##1}%
  \specialissue[]%
  \authors{}%
  \editors{}%
  \title{}%
  \titlefigure{}%
  }%
 {\toggletrue{dblline}%
  \printcategory
  \entrybox%
   {\printvolumeline
    \printspecialissue
    \printauthors
    \printtitle
    \printeditors
   }%
   {\printtitlefigure}%
   {\printabstract}%
\par
  }%
}{\toc@indexedbox\pagestyle{andp}}%
\mdfdefinestyle{retrospect}{%
    backgroundcolor=retro@bg,
    linewidth=0,
    leftmargin=0pt,rightmargin=27.5mm,
    innerleftmargin=0pt,innerrightmargin=0pt,
    innertopmargin=\innertopmargin,
    innerbottommargin=\innerbottommargin,
    skipabove=0pt,
    skipbelow=3.5mm,
    nobreak}%
\newenvironment{retrospect}[1][\retrospectname]{%
  \onecolumn
  \vspace*{-23mm}%
  \enlargethispage{30mm}
  {\hskip-5mm\retro@pagetitlefont\textcolor{retro@pagetitle}{#1}\par}%
  \vskip 3.5mm
  \category{\retrospectcategory}%
  \pagestyle{andp}
  \thispagestyle{andp}%
  \parindent\z@
  \parskip\z@
  \lineskip\z@
  \def\titlefiglift@offset{6.5\p@}%
  \titlefiglift\z@
  \titlefigskipabove\z@
  \titlefigskipbelow\z@
\renewcommand{\pagespan}[3][]{%
  \@ifempty{##2}%
   {\@ifempty{##3}%
     {\let\@@pagespan\relax}%
     {\def\@@pagespan{\pagename\space{##1##3}}}%
  }{\@ifempty{##3}%
     {\def\@@pagespan{\pagename\space{##1##2}}}%
     {\def\@@pagespan{\pagespanname\space{##1##2}\rangedash{##1##3}}}%
}}%
\def\entrytype##1{\@ifempty{##1}{\let\retro@entrytype\relax}{\def\retro@entrytype{##1}}}%
\def\volumeline##1##2##3{%
  \@ifempty{##1##2##3}%
   {\let\@volumeline\relax}%
   {\def\@volumeline{%
      \@ifarg{##1}{##1~${}\vert{}$~}%
      \@ifarg{##2}{##2~${}\vert{}$~}%
      \@ifarg{##3}{##3}%
      }}%
}%
\def\location##1{%
  \@ifempty{##1}%
   {\let\@location\relax}%
   {\def\@location{##1}}
}%
\def\DOI##1{\location{DOI:~##1}}%
\newcommand{\URL}[2][]{%
  \if@hyper
    \@ifempty{##1}%
     {\location{\href{##2}{\nolinkurl{##2}}}}%
     {\location{\href{##1}{##2}}}%
  \else
    \location{##2}%
  \fi}%
\renewcommand\entrybox[2]{%
  \makebox[\linewidth][l]{%
  \hskip\columnsep
  \begin{minipage}[t]{110mm}%
    \raggedright ##1\relax
  \end{minipage}%
  \hskip\columnsep
  \begin{minipage}[t]{55mm}%
    \raggedright ##2\relax
  \end{minipage}%
  }%
}%
  \def\printentrytype{%
    \ifx\retro@entrytype\relax\else
      \headelem{\z@}{\z@}{\z@}{\z@}{\retro@entrytypefont\color{retro@entrytype}}{\MakeUppercase{\retro@entrytype}}%
    \fi}%
\def\printvolumeline{%
  \ifx\@volumeline\relax\else
    \textcolor{andp-red}{\retro@volumelinefont\@volumeline}\par
  \fi}%
\def\printpretitle{%
  \ifx\@pretitle\relax\else
    \headelem{\z@}{\z@}{\z@}{\z@}{\retro@pretitlefont}{\MakeUppercase{\@pretitle}}%
  \fi%
  }%
\def\printtitle{%
  \ifx\@title\relax\else
    \headelem{\z@}{\z@}{\z@}{\z@}{\retro@titlefont\color{andp!70}}{\@title}%
  \fi%
  }%
\def\printsubtitle{%
  \ifx\@subtitle\relax\else
    \headelem{\z@}{\z@}{\z@}{\z@}{\retro@subtitlefont\@subtitle}%
  \fi%
  }%
\def\printauthors{%
  \ifx\@authors\@empty\else
    \headelem{\z@}{\z@}{\z@}{\z@}{\retro@authorfont}{\@authors}%
  \fi%
}%
\def\printlocation{%
  \ifx\@location\relax\else
    \url@sfstyle
    \headelem{\z@}{4.4mm}{\z@}{\z@}{\retro@locationfont}{\@location}%
  \fi%
}%
\def\printabstract{%
  \ifx\@abstract\relax\else
    \headelem{\z@}{\z@}{\z@}{\z@}{\retro@abstractfont}{\@abstract}%
  \fi%
}%
\def\printtitlefigure{\smash{\makebox[\linewidth][c]{\@titlefigure}}}%
\newenvironment{entry}{%
  \entrytype{}%
  \volumeline{}{}{}%
  \pretitle{}%
  \title{}%
  \authors{}%
  \subtitle{}%
  \titlefigure{}%
  \let\@abstract\relax%
  }%
{%
  \andify\@authors
  \volumeline%
    {\volumename\space\@volume}%
    {\issuename\space\@issue}%
    {\@@pagespan\space(\@year)}%
    \entrybox%
     {\retro@entryfont
      \printentrytype
      \printvolumeline
      \printpretitle
      \printtitle
      \printsubtitle
      \printauthors
      \printlocation
      \printabstract}%
     {\printtitlefigure}%
\par
\vskip 10mm
  }%
  \begin{mdframed}[style=retrospect]%
}{\end{mdframed}}%
\ifarrowvecs
\else%
  \def\vec#1{%
    \ensuremath{\mathbf{#1}}%
  }%
\fi%
\def\tens#1{\ensuremath{\mathsf{#1}}}
\setlength\leftmargini  {\parindent}
\leftmargin\leftmargini
\setlength\leftmarginii {\parindent}
\setlength\leftmarginiii{1.87em}
\setlength\leftmarginiv {1.7em}
\setlength\leftmarginv  {.5em}
\setlength\leftmarginvi {.5em}
\setlength\labelsep  {.5em}
\setlength\labelwidth{\leftmargini}
\addtolength\labelwidth{\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.~}
\newcommand\labelenumii{(\theenumii)~}
\newcommand\labelenumiii{\theenumiii.~}
\newcommand\labelenumiv{\theenumiv.~}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand\thesection{\@Alph\c@section}}
\setlength\arraycolsep{1.5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.5\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{6\p@}
\setlength\fboxrule{.4\p@}
\newlength{\bibindent}%
\setlength{\bibindent}{\z@}%
\if@threecolumn
\def\@biblabel#1{[#1]}
\else
\def\@biblabel#1{[#1]\enspace}
\fi
\def\@lbibitem[#1]#2{%
  \item[\@biblabel{#1}\hfill]%
  \if@filesw
   {\let\protect\noexpand
    \immediate
    \write\@auxout{\string\bibcite{#2}{#1}}}
  \fi\ignorespaces}
\newenvironment{thebibliography}[1]{%
  \printarticlefinale
  \section*{\refname}%
  \bgroup
  \bibliographyfont
  \RaggedRight
  \list{\@biblabel{\@arabic\c@enumiv}}%
   {\settowidth\labelwidth{\@biblabel{#1}}%
    \setlength{\leftmargin}{\labelwidth+\labelsep}%
    \@openbib@code
    \usecounter{enumiv}%
    \let\p@enumiv\@empty
    \renewcommand\theenumiv{\@arabic\c@enumiv}}%
    %       \sloppy
    \clubpenalty 9999
    \widowpenalty 9999
    \sfcode`\.\@m
   }{\def\@noitemerr
   {\@latex@warning{Empty `thebibliography' environment}}%
  \endlist
  \egroup
  }
  %    \end{macrocode}
\newcount\@tempcntc
\let\newblock\space
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else%
                  \@restonecoltrue
                \fi%
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\indexname}{\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\AtBeginDocument{\edef\today{%
  \number\day\space%
  \ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\year}}
\newenvironment{changed}[1][andp-red]%
  {\bgroup\color{#1}}{\egroup\ignorespacesafterend}
\frenchspacing
\clubpenalty=10000
\widowpenalty=10000
\def\thisbottomragged{%
  \def\@textbottom{\vskip\z@ plus.0001fil
  \global\let\@textbottom\relax}%
}%
\pagenumbering{arabic}
\if@twocolumn
   \twocolumn
\fi%
\flushbottom
\newcommand*{\missinginit}[2]{%
  \ClassWarningNoLine{andp2012}{%
    Missing initialization of #1.\MessageBreak
    You may do the initialization using\MessageBreak
    \string#2\string{...\string}%
  }%
}
\newcounter{lastpage}
\newcounter{pagenumber}
\EveryShipout{\stepcounter{pagenumber}}%
\def\getlastpagenumber{%
  \@ifundefined{numberofpages}
   {\setcounter{lastpage}{0}}%
   {\setcounter{lastpage}{\value{page}+\numberofpages-1}}%
     }%
\def\writenumberofpages{\clearpage
  \addtocounter{page}{-1}%
  \immediate\write\@auxout{\string\gdef\string\numberofpages{\arabic{pagenumber}}}%
  \immediate\write\@auxout{\string\newlabel{LastPage}{{\arabic{pagenumber}}{\thepage}}}%
  \addtocounter{page}{1}}%
\AtEndOfClass{\AtBeginDocument{\AtEndDocument{\writenumberofpages}}}%
\newcommand*{\pagenumprefix}[2][\arabic]{%
  \AfterPreamble{\def\pnum@pre{#2#1}}}%
\newcommand*{\pagenumpostfix}[1]{%
  \AfterPreamble{\def\pnum@post{#1}}}%
\newcommand*{\formatpagenum}[1]{\pnum@pre{#1}\pnum@post}%
\def\thepage{\formatpagenum{page}}
\pagenumprefix{}%
\pagenumpostfix{}%
\newcommand*{\pagespan}[3][]{%
\AfterPreamble{%
  \@ifarg{#1}{\pagenumprefix{#1}}%
  \ifx!#2!
    \set@pages{1}{#3}%
  \else%
    \set@pages{#2}{#3}%
  \fi%
}%
}%
\def\set@pages#1#2{\AtBeginDocument{\set@@pages{#1}{#2}}}%
\def\set@@pages#1#2{%
  \setcounter{page}{#1}
  \ifx!#2!
    \getlastpagenumber
  \else%
    \setcounter{lastpage}{#2}%
  \fi%
  \ifnum\c@page=\c@lastpage
    \def\@pagespan{\thepage}%
  \else%
    \def\@pagespan{\thepage\rangedash\formatpagenum{lastpage}}%
  \fi%
}
\AtBeginDocument{\pagespan{}{}}%
\AtBeginDocument{%
  \providecommand{\textdegree}{\ensuremath{^\circ}}%
  \ProvideTextCommandDefault{\textcelsius}{\textdegree C}%
  \providecommand{\textDegree}{\textdegree\xspace}%
  \providecommand{\textCelsius}{~\textcelsius\xspace}}%
\if@compatibility
\RequirePackage{lineno}%
\newcommand{\blm}{\noindent\begin{linenomath*}}
\newcommand{\elm}{\ignorespacesafterend\end{linenomath*}\ignorespacesafterend}
\newcommand{\ts}{\textstyle}
\newcommand{\ds}{\displaystyle}
\newcommand{\nn}{\nonumber}
\newcommand{\etal}{et~al.\xspace}
\newcommand{\q}{\quad}
\newcommand{\qe}{\quad\enspace}
\newcommand{\qq}{\qquad}
\newcommand{\qqe}{\qquad\enspace}
\newcommand{\qqq}{\qquad\quad}
\newcommand{\qqqq}{\qquad\qquad}
\let\begequ\equation
\let\endequ\endequation
\renewenvironment{equation}{\blm\begequ}{\endequ\elm}
\let\begdmath\displaymath
\let\enddmath\enddisplaymath
\renewenvironment{displaymath}{\blm\begdmath}{\enddmath\elm}
\let\begequarr\eqnarray
\let\endequarr\endeqnarray
\renewenvironment{eqnarray}%
  {\blm\bgroup%
   \setlength{\arraycolsep}{1.5pt}%
   \begequarr}%
  {\endequarr\egroup\elm}
\def\bagn#1\enda{\blm\begin{align}#1\end{align}\elm}
\def\bagnl#1\enda{\blm\begin{mleft}\begin{align}#1\end{align}\end{mleft}\elm}
\def\bagnn#1\enda{\blm\begin{align*}#1\end{align*}\elm}
\def\bagnnl#1\enda{\blm\begin{mleft}\begin{align*}#1\end{align*}\end{mleft}\elm}
\def\bagnat#1\enda{\blm\begin{alignat}#1\end{alignat}\elm}
\def\bagnatl#1\enda{\blm\begin{mleft}\begin{alignat}#1\end{alignat}\end{mleft}\elm}
\def\bagnatn#1\enda{\blm\begin{alignat*}#1\end{alignat*}\elm}
\def\bagnatnl#1\enda{\blm\begin{mleft}\begin{alignat*}#1\end{alignat*}\end{mleft}\elm}
\def\bgan#1\enda{\blm\begin{gather}#1\end{gather}\elm}
\def\bganl#1\enda{\blm\begin{mleft}\begin{gather}#1\end{gather}\end{mleft}\elm}
\def\bgann#1\enda{\blm\begin{gather*}#1\end{gather*}\elm}
\def\bgannl#1\enda{\blm\begin{mleft}\begin{gather*}#1\end{gather*}\end{mleft}\elm}
\def\beqn#1\enda{\begin{equation}#1\end{equation}}
\def\beqnl#1\enda{\blm\begin{mleft}\begin{equation}#1\end{equation}\end{mleft}\elm}
\def\beqnn#1\enda{\blm\begin{equation*}#1\end{equation*}\elm}
\def\beqnnl#1\enda{\blm\begin{mleft}\begin{equation*}#1\end{equation*}\end{mleft}\elm}
\let\vchfigure\figure
\let\endvchfigure\endfigure
\let\vchcaption\caption
\fi%@compatibility
\endinput
%%
%% End of file `andp2012.cls'.
